<?php

/* ==============================================
  Try to remove default template
=============================================== */
add_filter( 'vc_load_default_templates', 'my_custom_template_modify_array' );
function my_custom_template_modify_array($data) {
    return array(); // This will remove all default templates
}


/* ==============================================
  Create Custom Template in Visual Composer
=============================================== */

/* Team */
add_filter( 'vc_load_default_templates', 'nany_team_page' );
function nany_team_page($data) {
    $template               = array();
    $template['name']       = __( 'Team', 'custom_template_for_vc' );
    $template['image_path'] = preg_replace( '/\s/', '%20', get_template_directory_uri() . '/framework/visual-composer/images/team.png' ); // always use preg replace to be sure that "space" will not break logic
    $template['custom_class'] = 'custom_template_for_vc_custom_template';
    $template['content']    = <<<CONTENT
        [vc_row row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" row_padding_top="20px" center_row_content="yes"][vc_column width="1/1" column_animation="fadeIn wow" column_border_style="none"][heading heading_text="Our Team" heading_tag="h3" text_transform="uppercase" text_align="center" need_top_icon="yes" top_icon="fa-user" icon_style="ti-rounded" icon_color="#497bb8"][/vc_column][/vc_row][vc_row row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" row_padding_top="20px" center_row_content="yes" row_padding_bottom="40px"][vc_column width="1/4" column_animation="fadeInLeft wow" column_border_style="none"][team team_name="MIKE TAKLA" team_profession="Founder" link_window="yes" social_facebook="#" social_twitter="#" social_linkedin="#" pop_details="yes" team_content="We are an independent gym that is committed to working with you to gain the results you want. Whether your aim is to loose weight, tone up, build bulk or gain weight we can put together a gym programme or recommend the right classes for you to attend in our studios."][/vc_column][vc_column width="1/4" column_animation="fadeInUp wow" column_border_style="none"][team team_name="RINA MIELE" team_profession="Front-end Developer" pop_details="yes" social_vimeo="#" social_rss="#" social_flickr="#" social_foursquare="#" team_content="We offer a range of training packages in a range of subject areas and can offer blended learning opportunities to best meet your needs. If sitting in a room with a trainer and having the opportunity for discussion with other learners sounds good to you then we can offer this."][/vc_column][vc_column width="1/4" column_animation="fadeInUp wow" column_border_style="none"][team team_name="STEPHAN SMITH" team_profession="Designer" social_youtube="#" social_trello="#" social_tumblr="#" pop_details="yes" team_content="If you chose to stay with us you will enjoy modern home comforts in a traditional setting. Whether you are looking for a short weekend break or a longer holiday, we offer a range of packages that we think cater for all."][/vc_column][vc_column width="1/4" column_animation="fadeInRight wow" column_border_style="none"][team team_name="SELENA KAR" team_profession="Accountant" social_github="#" social_html5="#" social_instagram="#" social_stack_exchange="#" social_stack_overflow="#" pop_details="yes" team_content="’m a freelance fashion designer who specialises in print designs and combining fabrics. My designs have been sold all over Europe and the USA and I have worked with some of the biggest designers in the industry."][/vc_column][/vc_row][vc_row row_bg_image_style="cover" row_parallax_ratio="0.5" border_style="none" row_padding_top="60px" row_padding_bottom="50px" center_row_content="yes" row_bg_background_parallax="yes" row_bg_color="#126670"][vc_column width="1/4" column_animation="fadeInUp wow" column_border_style="none"][counter counter_icon="fa-folder-open" counter_number="25" counter_title="ONGOING PROJECTS" right_border="yes" icon_color="#ffffff" number_color="#ffffff" text_color="#ffffff"][/vc_column][vc_column width="1/4" column_animation="fadeInUp wow" column_border_style="none"][counter counter_icon="fa-coffee" counter_number="895" counter_title="COFFEE DRINKED" right_border="yes" icon_color="#ffffff" number_color="#ffffff" text_color="#ffffff"][/vc_column][vc_column width="1/4" column_animation="fadeInUp wow" column_border_style="none"][counter counter_icon="fa-heart" counter_number="289" counter_title="HAPPY CLIENTS" right_border="yes" icon_color="#ffffff" number_color="#ffffff" text_color="#ffffff"][/vc_column][vc_column width="1/4" column_animation="fadeInUp wow" column_border_style="none"][counter counter_icon="fa-rocket" counter_number="367" counter_title="PROJECT DELIVERED" icon_color="#ffffff" number_color="#ffffff" text_color="#ffffff"][/vc_column][/vc_row][vc_row center_row_content="yes" row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" row_padding_top="80px" row_padding_bottom="45px" select_pre_nubs="white"][vc_column width="1/3" column_animation="fadeInLeft wow" column_border_style="none"][team team_name="SELI KATRIN" team_profession="TEAM LEADER" pop_details="yes" social_flickr="#" social_android="#" social_bitbucket="#" social_github="#" social_html5="#" team_content="To see some photos of our work so that you can see what we are capable of or even perhaps to get some inspiration, please browse the Gallery area of our website."][/vc_column][vc_column width="1/3" column_animation="fadeInUp wow" column_border_style="none"][team team_name="OTAVAN LEE" team_profession="DESIGNER" social_skype="#" social_foursquare="#" social_stack_exchange="#" social_trello="#" pop_details="yes" team_content="If you run a business and want a professional first point of contact or just need a hand with some of the day to day to business tasks because things are getting a bit busy, then we can help."][/vc_column][vc_column width="1/3" column_animation="fadeInRight wow" column_border_style="none"][team team_name="JAMES HEMSWORTH" team_profession="ACCONTANT" social_facebook="#" social_linkedin="#" social_trello="#" pop_details="yes" team_content="We are a fairly small, flexible design studio that designs for print and web. We work flexibly with clients to fulfil their design needs. Whether you need to create a brand from scratch, including marketing materials"][/vc_column][/vc_row]
CONTENT;
    array_unshift($data, $template);
    return $data;
}

/* Pricing */
add_filter( 'vc_load_default_templates', 'nany_pricing_page' );
function nany_pricing_page($data) {
    $template               = array();
    $template['name']       = __( 'Pricing', 'custom_template_for_vc' );
    $template['image_path'] = preg_replace( '/\s/', '%20', get_template_directory_uri() . '/framework/visual-composer/images/pricing.png' ); // always use preg replace to be sure that "space" will not break logic
    $template['custom_class'] = 'custom_template_for_vc_custom_template';
    $template['content']    = <<<CONTENT
        [vc_row row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" row_padding_top="20px" center_row_content="yes" row_padding_bottom="60px"][vc_column width="1/1" column_animation="fadeIn wow" column_border_style="none"][heading heading_text="VERTICAL PRICING TABLES " heading_tag="h3" text_transform="uppercase" text_align="center" need_top_icon="yes" top_icon="fa-dollar" icon_style="ti-rounded" icon_color="#fbb02c"][/vc_column][/vc_row][vc_row center_row_content="yes" row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" row_padding_bottom="100px"][vc_column width="1/3" column_animation="fadeInLeft wow" column_border_style="none"][vc_empty_space height="40px"][pricing pricing_style="style-1" pricing_heading="BASIC" money_type="$" pricing_price="10" pricing_period="Month" pricing_list="5GB Disk Space
10 Email accounts
2 Subdomains" button_text="BUY NOW" button_link="#" button_style="btn-style-one" button_size="large-btn" bg_color="#71ce73" text_transform="none" outer_border_color="#f8f8f8" background_color="#f0f0f0" text_color="#ffffff"][vc_empty_space height="40px"][/vc_column][vc_column width="1/3" column_animation="fadeInUp wow" column_border_style="none"][pricing pricing_style="style-1" pricing_heading="STANDARD" money_type="$" pricing_price="29" pricing_period="Month" pricing_list="100GB Disk Space
50 Email accounts
2 Subdomains
50 Monthly Bandwidth
Best Support Service" button_text="BUY NOW" button_link="#" button_style="btn-style-one" button_size="large-btn" bg_color="#71ce73" text_transform="none" outer_border_color="#71ce73" badge_title="Most Popular" badge_title_color="#fa684d" background_color="#ffffff" text_color="#ffffff"][/vc_column][vc_column width="1/3" column_animation="fadeInRight wow" column_border_style="none"][vc_empty_space height="40px"][pricing pricing_style="style-1" pricing_heading="PREMIUM" money_type="$" pricing_price="75" pricing_period="Month" pricing_list="500GB Disk Space
100 Email accounts
2 Subdomains" button_text="BUY NOW" button_link="#" button_style="btn-style-one" button_size="large-btn" bg_color="#71ce73" text_transform="none" outer_border_color="#f8f8f8" text_color="#ffffff" background_color="#f0f0f0"][/vc_column][/vc_row][vc_row center_row_content="yes" row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" row_padding_bottom="40px" row_bg_color="#f6f6f6" select_pre_nubs="grey"][vc_column width="1/1" column_animation="fadeIn wow" column_border_style="none"][heading heading_text="HORIZONTAL PRICING TABLES " heading_tag="h3" text_transform="uppercase" text_align="center" need_top_icon="yes" top_icon="fa-dollar" icon_style="ti-rounded" icon_color="#fa684d"][/vc_column][/vc_row][vc_row center_row_content="yes" row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" row_padding_bottom="85px" row_bg_color="#f6f6f6"][vc_column width="1/1" column_animation="fadeInUp wow" column_border_style="none"][pricing pricing_style="style-2" pricing_heading="BASIC" money_type="$" pricing_price="10" pricing_period="Month" pricing_list="5GB Disk Space
10 Email accounts
2 Subdomains" button_text="BUY NOW" button_link="#" button_style="btn-style-one" button_size="large-btn" bg_color="#71ce73" text_transform="none" outer_border_color="#f8f8f8" background_color="#f0f0f0" text_color="#ffffff" pricing_list_icon="fa-check-circle"][vc_empty_space height="40px"][pricing pricing_style="style-2" pricing_heading="PREMIUM" money_type="$" pricing_price="75" pricing_period="Month" pricing_list="500GB Disk Space
100 Email accounts
2 Subdomains" button_text="BUY NOW" button_link="#" button_style="btn-style-one" button_size="large-btn" bg_color="#71ce73" text_transform="none" outer_border_color="#71ce73" text_color="#ffffff" pricing_list_icon="fa-check-circle" badge_title="Most Popular" badge_title_color="#fa684d"][vc_empty_space height="20px"][pricing pricing_style="style-2" pricing_heading="UNLIMITTED" money_type="$" pricing_price="99" pricing_period="Month" pricing_list="600GB Disk Space
500 Email accounts
5 Subdomains" button_text="BUY NOW" button_link="#" button_style="btn-style-one" button_size="large-btn" bg_color="#71ce73" text_transform="none" outer_border_color="#f8f8f8" text_color="#ffffff" pricing_list_icon="fa-check-circle" background_color="#f0f0f0"][/vc_column][/vc_row]
CONTENT;
    array_unshift($data, $template);
    return $data;
}

/* Services */
add_filter( 'vc_load_default_templates', 'nany_services_page' );
function nany_services_page($data) {
    $template               = array();
    $template['name']       = __( 'Services', 'custom_template_for_vc' );
    $template['image_path'] = preg_replace( '/\s/', '%20', get_template_directory_uri() . '/framework/visual-composer/images/services.png' ); // always use preg replace to be sure that "space" will not break logic
    $template['custom_class'] = 'custom_template_for_vc_custom_template';
    $template['content']    = <<<CONTENT
        [vc_row center_row_content="yes" row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" row_padding_top="15px" row_padding_bottom="25px"][vc_column width="1/1" column_animation="fadeIn wow" column_border_style="none"][heading heading_text="Our Services" heading_tag="h3" text_transform="uppercase" text_align="center" need_top_icon="yes" top_icon="fa-cog" icon_style="ti-rounded" icon_color="#497bb8"][/vc_column][/vc_row][vc_row center_row_content="yes" row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" row_padding_left="25px" row_padding_bottom="80px"][vc_column width="1/2" column_animation="fadeInLeft wow" column_border_style="none"][vc_single_image border_color="grey" img_link_target="_self"][/vc_column][vc_column width="1/2" column_animation="fadeInRight wow" column_border_style="none"][vc_column_text]
<h3 style="text-align: left;">Strengths to Grow</h3>
<p style="text-align: left;">We work with you and carry out research to understand your needs and the needs of your customers. We then identify the best way or ways for these needs to be met and enable you to implement this effectively. Our aim is to leave you worry free about your finances because you know they are in safe hands.</p>

[/vc_column_text][vc_progress_bar values="90|Plan,80|Development,70|Marketing" bgcolor="bar_blue" options="striped"][/vc_column][/vc_row][vc_row center_row_content="yes" row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" row_bg_color="#f6f6f6" select_pre_nubs="grey" row_padding_top="15px" row_padding_bottom="25px"][vc_column width="1/1" column_animation="fadeIn wow" column_border_style="none"][heading heading_text="Our Skills" heading_tag="h3" text_transform="uppercase" text_align="center" need_top_icon="yes" top_icon=" fa-code" icon_style="ti-rounded" icon_color="#fbb02c"][/vc_column][/vc_row][vc_row row_bg_color="#f6f6f6" row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" center_row_content="yes" row_padding_bottom="80px"][vc_column width="1/4" column_animation="fadeInUp wow" column_border_style="none"][vc_pie value="90" color="btn-warning" units="%" title="WordPress"][/vc_column][vc_column width="1/4" column_animation="fadeInUp wow" column_border_style="none"][vc_pie value="68" color="btn-success" units="%" title="PHP"][/vc_column][vc_column width="1/4" column_animation="fadeInUp wow" column_border_style="none"][vc_pie value="85" color="btn-danger" units="%" title="HTML5"][/vc_column][vc_column width="1/4" column_animation="fadeInUp wow" column_border_style="none"][vc_pie value="70" color="btn-primary" units="%" title="JQuery"][/vc_column][/vc_row][vc_row center_row_content="yes" row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" select_pre_nubs="white" row_padding_top="15px" row_padding_bottom="25px"][vc_column width="1/1" column_animation="fadeIn wow" column_border_style="none"][heading heading_text="Happy Clients" heading_tag="h3" text_transform="uppercase" text_align="center" need_top_icon="yes" top_icon="fa-group" icon_style="ti-rounded" icon_color="#db6464"][/vc_column][/vc_row][vc_row center_row_content="yes" row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" row_padding_bottom="80px"][vc_column width="1/3" column_animation="fadeInLeft wow" column_border_style="none"][testimonial testimonial_name="Frederick" testimonial_profession="CEO" testimonial_company="Petony" testimonial_content="This is the Best Theme i have ever seen. I wanted to thank you all your hard work. I am really looking forward to Building my new site! Best money I have ever spent in my entire life!" testimonial_alignment="center" testimonial_name_color="#222222" testimonial_profession_color="#777777" testimonial_content_color="#777777" testimonial_name_size="16px" testimonial_profession_size="16px" testimonial_content_size="14px"][/vc_column][vc_column width="1/3" column_animation="fadeInUp wow" column_border_style="none"][testimonial testimonial_name="Adaline" testimonial_profession="Founder" testimonial_company="Icantis" testimonial_content="You guys have top notch customer service and an amazing product. Such a great with unparalleled support. Can’t thank you enough for all the support you have offered." testimonial_alignment="center" testimonial_name_color="#222222" testimonial_profession_color="#777777" testimonial_content_color="#777777" testimonial_name_size="16px" testimonial_profession_size="16px" testimonial_content_size="14px"][/vc_column][vc_column width="1/3" column_animation="fadeInRight wow" column_border_style="none"][testimonial testimonial_name="Halbart" testimonial_profession="Co-Founder" testimonial_company="Tech Atlas" testimonial_content="We understand that both buying and selling a property can be a stressful experience, Solicitor and Solicitor have a number of even more so if you are trying to do both simultaneously. " testimonial_alignment="center" testimonial_name_color="#222222" testimonial_profession_color="#777777" testimonial_content_color="#777777" testimonial_name_size="16px" testimonial_profession_size="16px" testimonial_content_size="14px"][/vc_column][/vc_row][vc_row center_row_content="yes" row_bg_color="#497bb8" row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" row_padding_top="40px" row_padding_bottom="20px"][vc_column width="1/1" column_animation="fadeInUp wow" column_border_style="none"][callout callout_heading="NANY MULTIPURPOSE AND RESPONSIVE THEME" content_alignment="align-center" heading_color="#ffffff" content_color="#ffffff" button_text="My Button" button_style="btn-style-one" button_size="small-btn" bg_color="#497bb8" text_color="#ffffff" text_transform="none" button_text_2="Buy Now" button_link_2="#" button_style_2="btn-style-four" button_size_2="medium-btn" bg_color_2="#ffffff" text_color_2="#ffffff" text_transform_2="uppercase" callout_content="Modern &amp; Unique Design WordPress Theme. The Unique Style is getting more popular, so show yourself from the best side!"][/vc_column][/vc_row]
CONTENT;
    array_unshift($data, $template);
    return $data;
}

/* About Me */
add_filter( 'vc_load_default_templates', 'nany_about_me' );
function nany_about_me($data) {
    $template               = array();
    $template['name']       = __( 'Services', 'custom_template_for_vc' );
    $template['image_path'] = preg_replace( '/\s/', '%20', get_template_directory_uri() . '/framework/visual-composer/images/about-us.png' ); // always use preg replace to be sure that "space" will not break logic
    $template['custom_class'] = 'custom_template_for_vc_custom_template';
    $template['content']    = <<<CONTENT
        [vc_row center_row_content="" col_right_left_space="" row_bg_image_style="fixed" row_bg_background_parallax="" row_parallax_ratio="0.5" enable_background_overlay="" enable_video_background="" advanced_options="" need_controls="" disable_auto_play="" disable_video_loop="" disable_audio_mute="" border_style="none" row_padding_top="0px" row_padding_bottom="20px" row_margin_top="-50px" row_margin_bottom="-55px"][vc_column width="1/2"][vc_single_image border_color="grey" img_link_large="" img_link_target="_self" img_size="full"][/vc_column][vc_column width="1/2" column_animation="none" column_border_style="none" column_padding_right="20px"][vc_empty_space height="35px"][heading heading_text="Mike Takla" heading_tag="h4" text_transform="uppercase" text_align="left" need_top_icon="" top_icon="fa-heart" icon_style="ti-rounded" icon_color="#497bb8"][vc_column_text]We have a wide range of facilities including those you would expect from an high quality camp site – electric hook ups, shower and toilet block and laundry room. We also have a recreation block which is home to a games room with pool table, TV room and 10m swimming pool. Situated next to the recreation block are two outdoor tennis courts.

If you’re a home owner looking to move on, we will come and carry out a free, no-obligation valuation on your property at a time of day that’s suitable for you. If you then make the decision to use us to market your property, we will also advise you on the best way to present it so that you get a quick sale or rental at the right price.[/vc_column_text][vc_row_inner][vc_column_inner width="1/2"][skillbar skillbar_title="Photoshop" skillbar_percentage="85"][skillbar skillbar_title="HTML5 / CSS3" skillbar_percentage="70" skillbar_color="#00b5c6"][skillbar skillbar_title="Dreamweaver" skillbar_percentage="95" skillbar_color="#fa684d"][/vc_column_inner][vc_column_inner width="1/2"][skillbar skillbar_title="WordPress" skillbar_percentage="78" skillbar_color="#dd9933"][skillbar skillbar_title="Video" skillbar_percentage="70" skillbar_color="#ffad80"][skillbar skillbar_title="Illustration" skillbar_percentage="88" skillbar_color="#6bbddc"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row][vc_row row_bg_image_style="cover" row_parallax_ratio="0.5" border_style="none" row_padding_top="60px" row_padding_bottom="50px" center_row_content="yes" row_bg_background_parallax="yes" col_right_left_space="" row_bg_color="#333333" enable_background_overlay="" enable_video_background="" advanced_options="" need_controls="" disable_auto_play="" disable_video_loop="" disable_audio_mute=""][vc_column width="1/1" column_animation="fadeInUp wow" column_border_style="none"][vc_column_text el_class="link-hover-white"]
<h3 style="text-align: center;"><span style="color: #ffffff;">WANT TO DOWNLOAD MY RESUME?</span> <a href="#">DOWNLOAD CV</a></h3>
[/vc_column_text][/vc_column][/vc_row][vc_row row_bg_image_style="cover" row_parallax_ratio="0.5" border_style="none" row_padding_top="60px" row_padding_bottom="50px" center_row_content="yes" row_bg_background_parallax="yes" col_right_left_space="" row_bg_color="#f6f6f6" enable_background_overlay="" enable_video_background="" advanced_options="" need_controls="" disable_auto_play="" disable_video_loop="" disable_audio_mute=""][vc_column width="1/4" column_animation="fadeInUp wow" column_border_style="none"][counter counter_icon="fa-folder-open" counter_number="1095" counter_title="PROJECTS SIGNED" right_border="" number_color="#497bb8" text_color="#888888" extra_class="counter-icon-hide text-center"][/vc_column][vc_column width="1/4" column_animation="fadeInUp wow" column_border_style="none"][counter counter_icon="fa-rocket" counter_number="900" counter_title="PROJECT DELIVERED" icon_color="#dd3333" number_color="#497bb8" text_color="#888888" counter_value_in="+" right_border="" extra_class="counter-icon-hide text-center"][/vc_column][vc_column width="1/4" column_animation="fadeInUp wow" column_border_style="none"][counter counter_icon="fa-heart" counter_number="90" counter_title="HAPPY CLIENTS" right_border="" icon_color="#dd3333" number_color="#497bb8" text_color="#888888" counter_value_in="%" extra_class="counter-icon-hide text-center"][/vc_column][vc_column width="1/4" column_animation="fadeInUp wow" column_border_style="none"][counter counter_icon="fa-coffee" counter_number="50" counter_title="ONGOING PROJECTS" right_border="" icon_color="#dd3333" number_color="#497bb8" text_color="#888888" extra_class="counter-icon-hide text-center" counter_value_in="+"][/vc_column][/vc_row][vc_row center_row_content="yes" row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" col_right_left_space="" row_bg_background_parallax="" enable_background_overlay="" enable_video_background="" advanced_options="" need_controls="" disable_auto_play="" disable_video_loop="" disable_audio_mute="" row_padding_top="20px"][vc_column width="1/1" column_animation="fadeIn wow" column_border_style="none"][heading heading_text="Experience" heading_tag="h4" text_transform="uppercase" text_align="center" need_top_icon="" top_icon="fa-pie-chart" icon_style="ti-rounded" color="#000000" icon_color="#497bb8" font_size="26px"][/vc_column][/vc_row][vc_row row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" center_row_content="yes" row_padding_bottom="60px" col_right_left_space="" row_bg_background_parallax="" enable_background_overlay="" enable_video_background="" advanced_options="" need_controls="" disable_auto_play="" disable_video_loop="" disable_audio_mute="" row_padding_top="30px"][vc_column width="1/4" column_animation="fadeInUp wow" column_border_style="none"][vc_pie value="90" color="btn-warning" units="%" title="Professional"][/vc_column][vc_column width="1/4" column_animation="fadeInUp wow" column_border_style="none"][vc_pie value="80" color="btn-success" units="%" title="Project Handling"][/vc_column][vc_column width="1/4" column_animation="fadeInUp wow" column_border_style="none"][vc_pie value="95" color="btn-danger" units="%" title="Analysis"][/vc_column][vc_column width="1/4" column_animation="fadeInUp wow" column_border_style="none"][vc_pie value="75" color="btn-primary" units="%" title="Team Management"][/vc_column][/vc_row][vc_row center_row_content="yes" row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" row_padding_bottom="70px" col_right_left_space="" row_bg_color="#f6f6f6" row_bg_background_parallax="" enable_background_overlay="" enable_video_background="" advanced_options="" need_controls="" disable_auto_play="" disable_video_loop="" disable_audio_mute="" row_padding_top="20px"][vc_column width="1/1" column_animation="fadeInUp wow" column_border_style="none"][heading heading_text="What My Client Say" heading_tag="h4" text_transform="uppercase" text_align="center" need_top_icon="" top_icon="fa-heart" icon_style="ti-rounded" icon_color="#00b5c6"][testimonial_slider testimonial_slider_limit="6" testimonial_slider_order="ASC" testimonial_slider_order_by="none"][/vc_column][/vc_row]
CONTENT;
    array_unshift($data, $template);
    return $data;
}

/* About Us Alt */
add_filter( 'vc_load_default_templates', 'nany_about_alt' );
function nany_about_alt($data) {
    $template               = array();
    $template['name']       = __( 'About Alt', 'custom_template_for_vc' );
    $template['image_path'] = preg_replace( '/\s/', '%20', get_template_directory_uri() . '/framework/visual-composer/images/about-us.png' ); // always use preg replace to be sure that "space" will not break logic
    $template['custom_class'] = 'custom_template_for_vc_custom_template';
    $template['content']    = <<<CONTENT
        [vc_row center_row_content="yes" row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" row_padding_bottom="50px" col_right_left_space="" row_bg_background_parallax="" enable_background_overlay="" enable_video_background="" advanced_options="" need_controls="" disable_auto_play="" disable_video_loop="" disable_audio_mute="" row_padding_top="20px"][vc_column width="1/2" column_animation="fadeInLeft wow" column_border_style="none"][heading heading_text="Who we are & What we do" heading_tag="h3" text_transform="capitalize" text_align="left" need_top_icon="" top_icon="fa-heart" icon_style="ti-rounded" icon_color="#497bb8"][vc_column_text]
<p style="text-align: left;"><span style="color: #777777;">Whatever the job we pride ourselves on high quality design and print work using a range of methods from the latest in digital printing to more traditional finishing techniques. We print on all paper sizes from, which is huge!  which is really little! We can also print images onto mugs, key rings, t-shirts, coasters and mouse.
</span>

<span style="color: #777777;">We offer the following print finishing services for a nominal fee, to be agreed when the order is placed: scoring, folding, mounting, digital cutting, binding, stapling, hole punching and laminating.</span>

<span style="color: #777777;">We print on all paper sizes from, which is huge!  which is really little! We can also print images onto mugs, key rings, t-shirts, coasters and mouse mats as gifts.</span>[/vc_column_text][/vc_column][vc_column width="1/2" column_animation="fadeInRight wow" column_border_style="none"][heading heading_text="Our Skills" heading_tag="h3" text_transform="capitalize" text_align="left" need_top_icon="" top_icon="fa-heart" icon_style="ti-rounded" icon_color="#497bb8"][skillbar skillbar_title="Develope" skillbar_percentage="85" skillbar_color="#497bb8"][skillbar skillbar_title="Design" skillbar_percentage="90" skillbar_color="#497bb8"][skillbar skillbar_title="Branding" skillbar_percentage="95" skillbar_color="#497bb8"][skillbar skillbar_title="Web Applications" skillbar_percentage="75" skillbar_color="#497bb8"][/vc_column][/vc_row][vc_row row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" col_right_left_space="" center_row_content="yes" row_bg_background_parallax="" enable_background_overlay="" enable_video_background="" advanced_options="" need_controls="" disable_auto_play="" disable_video_loop="" disable_audio_mute="" row_bg_color="#f6f6f6" row_padding_top="30px" row_padding_bottom="30px"][vc_column width="1/3" column_animation="fadeInLeft wow" column_border_style="none"][service service_style="style-2" background_color="#497bb8" service_icon="fa-desktop" icon_style="icon-rounded" service_heading="Responsive & Retina Ready" service_content="We publish everything from children’s picture books and wall charts to encyclopedias." list_features="SEO FRIENDLY
FREE FONT ICONS
ORGANIZED PSD LAYERS" button_text="My Button" button_style="btn-style-one" button_size="small-btn" bg_color="#497bb8" text_color="#ffffff" text_transform="none" icon_line_height="85px" hide_bottom_shadow="yes" open_window=""][service service_style="style-2" background_color="#497bb8" service_icon=" fa-outdent" icon_style="icon-rounded" service_heading="Bootstrap" service_content="We publish everything from children’s picture books and wall charts to encyclopedias." list_features="USABILITY
UI & UX
WEB AND MOBILE DESIGN" button_text="My Button" button_style="btn-style-one" button_size="small-btn" bg_color="#497bb8" text_color="#ffffff" text_transform="none" hide_bottom_shadow="yes" open_window=""][/vc_column][vc_column width="1/3" column_animation="fadeInUp wow" column_border_style="none"][service service_style="style-2" background_color="#497bb8" service_icon="fa-copy" icon_style="icon-rounded" service_heading="Page Builder" service_content="We publish everything from children’s picture books and wall charts to encyclopedias." list_features="VISUAL COMPOSER
EASY TO CUSTOMIZE
DRAG AND DROP OPTIONS" button_text="My Button" button_style="btn-style-one" button_size="small-btn" bg_color="#497bb8" text_color="#ffffff" text_transform="none" icon_line_height="90px" hide_bottom_shadow="yes" open_window=""][service service_style="style-2" background_color="#497bb8" service_icon="fa-cogs" icon_style="icon-rounded" service_heading="Theme Options" service_content="We publish everything from children’s picture books and wall charts to encyclopedias." list_features="VISUAL COMPOSER
EASY TO CUSTOMIZE
DRAG AND DROP OPTIONS" button_text="My Button" button_style="btn-style-one" button_size="small-btn" bg_color="#497bb8" text_color="#ffffff" text_transform="none" icon_line_height="90px" hide_bottom_shadow="yes" open_window=""][/vc_column][vc_column width="1/3" column_animation="fadeInRight wow" column_border_style="none"][service service_style="style-2" background_color="#497bb8" service_icon=" fa-shopping-cart" icon_style="icon-rounded" service_heading="Woocommerce" service_content="We publish everything from children’s picture books and wall charts to encyclopedias." list_features="SEO FRIENDLY
FREE FONT ICONS
ORGANIZED PSD LAYERS" button_text="My Button" button_style="btn-style-one" button_size="small-btn" bg_color="#497bb8" text_color="#ffffff" text_transform="none" icon_line_height="85px" hide_bottom_shadow="yes" open_window=""][service service_style="style-2" background_color="#497bb8" service_icon=" fa-heart" icon_style="icon-rounded" service_heading="Font Awesome Integrated" service_content="We publish everything from children’s picture books and wall charts to encyclopedias." list_features="USABILITY
UI & UX
WEB AND MOBILE DESIGN" button_text="My Button" button_style="btn-style-one" button_size="small-btn" bg_color="#497bb8" text_color="#ffffff" text_transform="none" hide_bottom_shadow="yes" open_window=""][/vc_column][/vc_row][vc_row row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" row_padding_top="20px" center_row_content="yes" row_padding_bottom="85px" col_right_left_space="" row_bg_background_parallax="" enable_background_overlay="" enable_video_background="" advanced_options="" need_controls="" disable_auto_play="" disable_video_loop="" disable_audio_mute=""][vc_column width="1/1" column_animation="fadeIn wow" column_border_style="none"][heading heading_text="Meet our professional team" heading_tag="h3" text_transform="capitalize" text_align="center" need_top_icon="" top_icon="fa-heart" icon_style="ti-rounded" icon_color="#497bb8" heading_padding_bottom="30px"][/vc_column][vc_column width="1/3" column_animation="fadeInUp wow" column_border_style="none"][team team_name="MIKE TAKLA" team_profession="Founder" link_window="yes" social_facebook="#" social_twitter="#" social_linkedin="#" pop_details="yes" team_content="We are an independent gym that is committed to working with you to gain the results you want. Whether your aim is to loose weight, tone up, build bulk or gain weight we can put together a gym programme or recommend the right classes for you to attend in our studios." open_window=""][/vc_column][vc_column width="1/3" column_animation="fadeInUp wow" column_border_style="none"][team team_name="RINA MIELE" team_profession="Front-end Designer" pop_details="yes" social_vimeo="#" social_rss="#" social_flickr="#" social_foursquare="#" team_content="We offer a range of training packages in a range of subject areas and can offer blended learning opportunities to best meet your needs. If sitting in a room with a trainer and having the opportunity for discussion with other learners sounds good to you then we can offer this." link_window="" open_window=""][/vc_column][vc_column width="1/3" column_animation="fadeInUp wow" column_border_style="none"][team team_name="STEPHAN SMITH" team_profession="Developer" social_youtube="#" social_trello="#" social_tumblr="#" pop_details="yes" team_content="If you chose to stay with us you will enjoy modern home comforts in a traditional setting. Whether you are looking for a short weekend break or a longer holiday, we offer a range of packages that we think cater for all." link_window="" open_window=""][/vc_column][/vc_row][vc_row row_bg_image_style="cover" row_parallax_ratio="0.5" border_style="none" row_padding_top="60px" row_padding_bottom="50px" center_row_content="yes" row_bg_background_parallax="yes" col_right_left_space="" row_bg_color="#f6f6f6" enable_background_overlay="" enable_video_background="" advanced_options="" need_controls="" disable_auto_play="" disable_video_loop="" disable_audio_mute=""][vc_column width="1/4" column_animation="fadeInUp wow" column_border_style="none"][counter counter_icon="fa-folder-open" counter_number="25" counter_title="ONGOING PROJECTS" right_border="" number_color="#497bb8" text_color="#888888" extra_class="counter-icon-hide text-center"][/vc_column][vc_column width="1/4" column_animation="fadeInUp wow" column_border_style="none"][counter counter_icon="fa-rocket" counter_number="367" counter_title="PROJECT DELIVERED" icon_color="#dd3333" number_color="#497bb8" text_color="#888888" counter_value_in="+" right_border="" extra_class="counter-icon-hide text-center"][/vc_column][vc_column width="1/4" column_animation="fadeInUp wow" column_border_style="none"][counter counter_icon="fa-heart" counter_number="90" counter_title="HAPPY CLIENTS" right_border="" icon_color="#dd3333" number_color="#497bb8" text_color="#888888" counter_value_in="%" extra_class="counter-icon-hide text-center"][/vc_column][vc_column width="1/4" column_animation="fadeInUp wow" column_border_style="none"][counter counter_icon="fa-coffee" counter_number="895" counter_title="COFFEE DRINKED" right_border="" icon_color="#dd3333" number_color="#497bb8" text_color="#888888" extra_class="counter-icon-hide text-center"][/vc_column][/vc_row][vc_row center_row_content="yes" row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" row_padding_bottom="70px"][vc_column width="1/1" column_animation="fadeInUp wow" column_border_style="none"][heading heading_text="What people say about us" heading_tag="h3" text_transform="capitalize" text_align="center" need_top_icon="" top_icon="fa-heart" icon_style="ti-rounded" icon_color="#00b5c6"][testimonial_slider testimonial_slider_limit="6" testimonial_slider_order="ASC" testimonial_slider_order_by="none"][/vc_column][/vc_row]
CONTENT;
    array_unshift($data, $template);
    return $data;
}

/* About Us */
add_filter( 'vc_load_default_templates', 'nany_about_us' );
function nany_about_us($data) {
    $template               = array();
    $template['name']       = __( 'About Us', 'custom_template_for_vc' );
    $template['image_path'] = preg_replace( '/\s/', '%20', get_template_directory_uri() . '/framework/visual-composer/images/about-us.png' ); // always use preg replace to be sure that "space" will not break logic
    $template['custom_class'] = 'custom_template_for_vc_custom_template';
    $template['content']    = <<<CONTENT
        [vc_row center_row_content="yes" row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" row_padding_top="10px"][vc_column width="1/1" column_animation="fadeIn wow" column_border_style="none"][heading heading_text="About Nany" heading_tag="h3" text_transform="uppercase" text_align="center" need_top_icon="yes" top_icon="fa-group" icon_style="ti-rounded" icon_color="#fbb02c"][/vc_column][/vc_row][vc_row center_row_content="yes" row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" row_padding_bottom="50px"][vc_column width="1/2" column_animation="fadeInLeft wow" column_border_style="none"][vc_column_text]
<p style="text-align: left;"><span style="color: #777777;">Whatever the job we pride ourselves on high quality design and print work using a range of methods from the latest in digital printing to more traditional finishing techniques. We print on all paper sizes from, which is huge!  which is really little! We can also print images onto mugs, key rings, t-shirts, coasters and mouse.
</span></p>
<span style="color: #777777;">We offer the following print finishing services for a nominal fee, to be agreed when the order is placed: scoring, folding, mounting, digital cutting, binding, stapling, hole punching and laminating.</span>

<span style="color: #777777;">We print on all paper sizes from, which is huge!  which is really little! We can also print images onto mugs, key rings, t-shirts, coasters and mouse mats as gifts.</span>[/vc_column_text][/vc_column][vc_column width="1/2" column_animation="fadeInRight wow" column_border_style="none"][vc_tabs][vc_tab title="Our vision" tab_id="1420809247-1-36"][vc_column_text]
<p style="text-align: left;"><img class=" alignleft" src="http://defatch-demo.com/themes/nany/wp-content/themes/nany/images/dummy/560x400.jpg" alt="" /></p>
<span style="color: #777777;">Nany – The Original Multi-Purpose Onepage WordPress Theme. It’s an incredibly flexible user friendly designed to help any business type to meet their interactive needs. The Original Multi-Purpose One page WordPress Theme. It’s an incredibly flexible user friendly designed.</span>[/vc_column_text][/vc_tab][vc_tab title="Our Mission" tab_id="1420809247-2-34"][vc_column_text]<span style="color: #777777;">We have been selling stuff for the last few years. You can visit us at our shop in the town, we are open from 9am to 5pm every day apart from Sunday when we are open from 10am to 4pm and directions are on our Contact Us page.</span>

<span style="color: #777777;">If you don’t want to leave to comfort of your own home, why not have a look at our online store. We have some great new lines and also some fantastic seasonal offers on many of our ranges with up to 75% off if you’re lucky before stocks run out.</span>[/vc_column_text][/vc_tab][vc_tab title="Philosophy" tab_id="1420809591700-2-2"][vc_column_text]<span style="color: #777777;">We will print for anyone and no job is too big or small. Whether you’re a company that wants a batch of business cards or someone who wants a huge banner to embarrass their friend on their 40th birthday we can do that for you.</span>

<span style="color: #777777;">We can print something that you bring to us such as photos or leaflets or we can design something for you. We also hope to win Startup Fictional Business of the Year this Year.</span>[/vc_column_text][/vc_tab][/vc_tabs][/vc_column][/vc_row][vc_row row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" col_right_left_space="yes"][vc_column width="1/4" column_animation="fadeInLeft wow" column_border_style="none"][service service_style="style-1" background_color="#fbb02c" service_icon="fa-magic" icon_style="icon-rounded" service_heading="CREATIVE DESIGN" service_content="We build brands, design websites and create corporate identies." list_features="USABILITY
UI &amp; UX
WEB AND MOBILE DESIGN" button_text="My Button" button_style="btn-style-one" button_size="small-btn" bg_color="#497bb8" text_color="#ffffff" text_transform="none"][/vc_column][vc_column width="1/4" column_animation="fadeIn wow" column_border_style="none"][service service_style="style-1" background_color="#00b5c6" service_icon="fa-cog" icon_style="icon-rounded" service_heading="THEME OPTIONS" service_content="We build brands, design websites and create corporate identities." list_features="VISUAL COMPOSER
EASY TO CUSTOMIZE
DRAG AND DROP OPTIONS" button_text="My Button" button_style="btn-style-one" button_size="small-btn" bg_color="#497bb8" text_color="#ffffff" text_transform="none" icon_line_height="90px"][/vc_column][vc_column width="1/4" column_animation="fadeIn wow" column_border_style="none"][service service_style="style-1" background_color="#fa684d" service_icon="fa-cubes" icon_style="icon-rounded" service_heading="EXCELLENT FEATURES" service_content="We build brands, design websites and create corporate identities." list_features="SEO FRIENDLY
FREE FONT ICONS
ORGANIZED PSD LAYERS" button_text="My Button" button_style="btn-style-one" button_size="small-btn" bg_color="#497bb8" text_color="#ffffff" text_transform="none" icon_line_height="85px"][/vc_column][vc_column width="1/4" column_animation="fadeInRight wow" column_border_style="none"][service service_style="style-1" background_color="#497bb8" service_icon="fa-smile-o" icon_style="icon-rounded" service_heading="CUSTOMER SUPPORT" service_content="We build brands, design websites and create corporate identities." list_features="ASK US ANYTHING
BRAND NEW IDEAS
ONLINE SUPPORT &amp; HELP" button_text="My Button" button_style="btn-style-one" button_size="small-btn" bg_color="#497bb8" text_color="#ffffff" text_transform="none" icon_line_height="90px"][/vc_column][/vc_row][vc_row center_row_content="yes" row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" row_padding_top="10px" select_pre_nubs="white"][vc_column width="1/1" column_animation="fadeIn wow" column_border_style="none"][heading heading_text="Our History" heading_tag="h3" text_transform="uppercase" text_align="center" need_top_icon="yes" top_icon="fa-lightbulb-o" icon_style="ti-rounded" icon_color="#db6464"][/vc_column][/vc_row][vc_row center_row_content="yes" row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" row_padding_bottom="55px" col_right_left_space="yes"][vc_column width="1/1" column_animation="fadeInUp wow" column_border_style="none"][timeline custom_notification_note="Timeline from Theme Options"][/vc_column][/vc_row][vc_row row_bg_image_style="cover" row_parallax_ratio="0.5" border_style="none" row_padding_top="60px" row_padding_bottom="50px" center_row_content="yes" row_bg_background_parallax="yes" row_bg_color="#126670"][vc_column width="1/4" column_animation="fadeInUp wow" column_border_style="none"][counter counter_icon="fa-folder-open" counter_number="25" counter_title="ONGOING PROJECTS" right_border="yes" icon_color="#ffffff" number_color="#ffffff" text_color="#ffffff"][/vc_column][vc_column width="1/4" column_animation="fadeInUp wow" column_border_style="none"][counter counter_icon="fa-coffee" counter_number="895" counter_title="COFFEE DRINKED" right_border="yes" icon_color="#ffffff" number_color="#ffffff" text_color="#ffffff"][/vc_column][vc_column width="1/4" column_animation="fadeInUp wow" column_border_style="none"][counter counter_icon="fa-heart" counter_number="289" counter_title="HAPPY CLIENTS" right_border="yes" icon_color="#ffffff" number_color="#ffffff" text_color="#ffffff"][/vc_column][vc_column width="1/4" column_animation="fadeInUp wow" column_border_style="none"][counter counter_icon="fa-rocket" counter_number="367" counter_title="PROJECT DELIVERED" icon_color="#ffffff" number_color="#ffffff" text_color="#ffffff"][/vc_column][/vc_row][vc_row row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" row_padding_top="20px" center_row_content="yes" row_bg_color="#f6f6f6" select_pre_nubs="grey"][vc_column width="1/1" column_animation="fadeIn wow" column_border_style="none"][heading heading_text="Our Team" heading_tag="h3" text_transform="uppercase" text_align="center" need_top_icon="yes" top_icon="fa-user" icon_style="ti-rounded" icon_color="#497bb8"][/vc_column][/vc_row][vc_row row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" row_padding_top="20px" center_row_content="yes" row_padding_bottom="85px" row_bg_color="#f6f6f6"][vc_column width="1/4" column_animation="fadeInLeft wow" column_border_style="none"][team team_name="MIKE TAKLA" team_profession="Founder" link_window="yes" social_facebook="#" social_twitter="#" social_linkedin="#" pop_details="yes" team_content="We are an independent gym that is committed to working with you to gain the results you want. Whether your aim is to loose weight, tone up, build bulk or gain weight we can put together a gym programme or recommend the right classes for you to attend in our studios."][/vc_column][vc_column width="1/4" column_animation="fadeInUp wow" column_border_style="none"][team team_name="RINA MIELE" team_profession="Front-end Designer" pop_details="yes" social_vimeo="#" social_rss="#" social_flickr="#" social_foursquare="#" team_content="We offer a range of training packages in a range of subject areas and can offer blended learning opportunities to best meet your needs. If sitting in a room with a trainer and having the opportunity for discussion with other learners sounds good to you then we can offer this."][/vc_column][vc_column width="1/4" column_animation="fadeInUp wow" column_border_style="none"][team team_name="STEPHAN SMITH" team_profession="Developer" social_youtube="#" social_trello="#" social_tumblr="#" pop_details="yes" team_content="If you chose to stay with us you will enjoy modern home comforts in a traditional setting. Whether you are looking for a short weekend break or a longer holiday, we offer a range of packages that we think cater for all."][/vc_column][vc_column width="1/4" column_animation="fadeInRight wow" column_border_style="none"][team team_name="SELENA KAR" team_profession="Accountant" social_github="#" social_html5="#" social_instagram="#" social_stack_exchange="#" social_stack_overflow="#" pop_details="yes" team_content="’m a freelance fashion designer who specialises in print designs and combining fabrics. My designs have been sold all over Europe and the USA and I have worked with some of the biggest designers in the industry."][/vc_column][/vc_row][vc_row row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" row_padding_top="20px" center_row_content="yes" select_pre_nubs="white"][vc_column width="1/1" column_animation="fadeIn wow" column_border_style="none"][heading heading_text="our clients" heading_tag="h3" text_transform="uppercase" text_align="center" need_top_icon="yes" top_icon="fa-heart" icon_style="ti-rounded" icon_color="#00b5c6"][/vc_column][/vc_row][vc_row center_row_content="yes" row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none"][vc_column width="1/4" column_animation="fadeIn wow" column_border_style="none"][client client_logo_alt="Client Logo 1" client_logo_link="#" bg_color="#f0f0f0" black_white="yes"][client client_logo_alt="Client Logo 5" client_logo_link="#" bg_color="#f0f0f0" black_white="yes"][/vc_column][vc_column width="1/4" column_animation="fadeIn wow" column_border_style="none"][client client_logo_alt="Client Logo 2" client_logo_link="#" bg_color="#f0f0f0" black_white="yes"][client client_logo_alt="Client Logo 6" client_logo_link="#" bg_color="#f0f0f0" black_white="yes"][/vc_column][vc_column width="1/4" column_animation="fadeIn wow" column_border_style="none"][client client_logo_alt="Client Logo 3" client_logo_link="#" bg_color="#f0f0f0" black_white="yes"][client client_logo_alt="Client Logo 7" client_logo_link="#" bg_color="#f0f0f0" black_white="yes"][/vc_column][vc_column width="1/4" column_animation="fadeIn wow" column_border_style="none"][client client_logo_alt="Client Logo 4" client_logo_link="#" bg_color="#f0f0f0" black_white="yes"][client client_logo_alt="Client Logo 8" client_logo_link="#" bg_color="#f0f0f0" black_white="yes"][/vc_column][/vc_row][vc_row center_row_content="yes" row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" row_padding_bottom="70px"][vc_column width="1/1" column_animation="fadeInUp wow" column_border_style="none"][testimonial_slider testimonial_slider_limit="6" testimonial_slider_order="ASC" testimonial_slider_order_by="none"][/vc_column][/vc_row]
CONTENT;
    array_unshift($data, $template);
    return $data;
}

/* One Page */
add_filter( 'vc_load_default_templates', 'nany_one_page_demo' );
function nany_one_page_demo($data) {
    $template               = array();
    $template['name']       = __( 'One Page', 'custom_template_for_vc' );
    $template['image_path'] = preg_replace( '/\s/', '%20', get_template_directory_uri() . '/framework/visual-composer/images/one-page.png' ); // always use preg replace to be sure that "space" will not break logic
    $template['custom_class'] = 'custom_template_for_vc_custom_template';
    $template['content']    = <<<CONTENT
        [vc_row row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" row_padding_top="20px" select_pre_nubs="white" center_row_content="yes" row_id="what-we-do"][vc_column width="1/1" column_animation="fadeIn wow" column_border_style="none"][heading heading_text="What We Do" heading_tag="h3" text_transform="uppercase" text_align="center" need_top_icon="yes" top_icon="fa-lightbulb-o" icon_style="ti-rounded" icon_color="#fbb02c"][/vc_column][/vc_row][vc_row center_row_content="yes" row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" row_padding_bottom="80px"][vc_column width="1/2" column_animation="fadeInLeft wow" column_border_style="none"][service service_style="style-2" background_color="#fbb02c" service_icon=" fa-comments" icon_style="icon-rounded" service_heading=" Social Engagement" service_content="You will have a dedicated member of the team who will work with you throughout the whole process." list_features="USABILITY UI &amp; UX Web Design" button_text="My Button" button_style="btn-style-one" button_size="small-btn" bg_color="#497bb8" text_color="#ffffff" text_transform="none"][service service_style="style-2" background_color="#00b5c6" service_icon="fa-signal " icon_style="icon-rounded" service_heading="SEO Monitoring" service_content="They will make sure that everything is explained to you in plain English so that you fully understand." list_features="USABILITY UI &amp; UX Web Design" button_text="My Button" button_style="btn-style-one" button_size="small-btn" bg_color="#497bb8" text_color="#ffffff" text_transform="none"][/vc_column][vc_column width="1/2" column_animation="fadeInRight wow" column_border_style="none"][service service_style="style-2" background_color="#fa684d" service_icon="fa-search" icon_style="icon-rounded" service_heading=" Search Engine Optimization" service_content="They will also act on your behalf throughout the process whether it’s dealing with Estate Agents." list_features="USABILITY UI &amp; UX Web Design" button_text="My Button" button_style="btn-style-one" button_size="small-btn" bg_color="#497bb8" text_color="#ffffff" text_transform="none"][service service_style="style-2" background_color="#497bb8" service_icon="fa-support" icon_style="icon-rounded" service_heading=" Support Services" service_content="Please see the respective sections of our website for more details on each of these areas." list_features="USABILITY UI &amp; UX Web Design" button_text="My Button" button_style="btn-style-one" button_size="small-btn" bg_color="#497bb8" text_color="#ffffff" text_transform="none"][/vc_column][/vc_row][vc_row row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" row_padding_top="20px" select_pre_nubs="grey" center_row_content="yes" row_bg_color="#f6f6f6" row_id="who-we-are"][vc_column width="1/1" column_animation="fadeIn wow" column_border_style="none"][heading heading_text="Who We Are" heading_tag="h3" text_transform="uppercase" text_align="center" need_top_icon="yes" top_icon="fa-user" icon_style="ti-rounded" icon_color="#497bb8"][vc_column_text]
<p style="text-align: center;">We will print for anyone and no job is too big or small. Whether you’re a company that wants a batch of business cards or someone who wants a huge banner to embarrass their friend on their 40th birthday we can do that for you. We can print something that you bring to us such as photos or leaflets or we can design something for you.</p>

[/vc_column_text][/vc_column][/vc_row][vc_row row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" row_padding_top="20px" center_row_content="yes" row_padding_bottom="65px" row_bg_color="#f6f6f6"][vc_column width="1/4" column_animation="fadeInLeft wow" column_border_style="none"][team team_name="MIKE TAKLA" team_profession="Founder" link_window="yes" social_facebook="#" social_twitter="#" social_linkedin="#" pop_details="yes" team_content="We are an independent gym that is committed to working with you to gain the results you want. Whether your aim is to loose weight, tone up, build bulk or gain weight we can put together a gym programme or recommend the right classes for you to attend in our studios."][/vc_column][vc_column width="1/4" column_animation="fadeInUp wow" column_border_style="none"][team team_name="RINA MIELE" team_profession="Front-end Developer" pop_details="yes" social_vimeo="#" social_rss="#" social_flickr="#" social_foursquare="#" team_content="We offer a range of training packages in a range of subject areas and can offer blended learning opportunities to best meet your needs. If sitting in a room with a trainer and having the opportunity for discussion with other learners sounds good to you then we can offer this."][/vc_column][vc_column width="1/4" column_animation="fadeInUp wow" column_border_style="none"][team team_name="STEPHAN SMITH" team_profession="Designer" social_youtube="#" social_trello="#" social_tumblr="#" pop_details="yes" team_content="If you chose to stay with us you will enjoy modern home comforts in a traditional setting. Whether you are looking for a short weekend break or a longer holiday, we offer a range of packages that we think cater for all."][/vc_column][vc_column width="1/4" column_animation="fadeInRight wow" column_border_style="none"][team team_name="SELENA KAR" team_profession="Accountant" social_github="#" social_html5="#" social_instagram="#" social_stack_exchange="#" social_stack_overflow="#" pop_details="yes" team_content="’m a freelance fashion designer who specialises in print designs and combining fabrics. My designs have been sold all over Europe and the USA and I have worked with some of the biggest designers in the industry."][/vc_column][/vc_row][vc_row row_bg_color="#222222" row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" row_padding_top="30px" row_padding_bottom="110px" center_row_content="yes"][vc_column width="1/1" column_animation="fadeIn wow" column_border_style="none"][heading heading_tag="h3" text_transform="uppercase" text_align="center" need_top_icon="yes" top_icon="fa-quote-left" icon_style="ti-square" icon_color="#ffffff" heading_text="Testimonials" color="#ffffff"][testimonial_slider testimonial_slider_limit="3" testimonial_slider_order="ASC" testimonial_slider_order_by="none" testimonial_slider_content_color="#dfdfdf" testimonial_slider_name_color="#dfdfdf" testimonial_slider_profession_color="#dfdfdf"][/vc_column][/vc_row][vc_row row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" row_padding_top="20px" center_row_content="yes" select_pre_nubs="white" row_padding_bottom="75px" row_id="our-works"][vc_column width="1/1" column_animation="fadeInUp wow" column_border_style="none"][heading heading_text="our works" heading_tag="h3" text_transform="uppercase" text_align="center" need_top_icon="yes" top_icon="fa-star" icon_style="ti-rounded" icon_color="#db6464"][portfolio portfolio_columns="portfolio-3-column" portfolio_limit="6" enable_cat_filter="yes" portfolio_order="ASC" portfolio_order_by="none"][/vc_column][/vc_row][vc_row row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" row_padding_top="20px" row_bg_color="#f6f6f6" center_row_content="yes" select_pre_nubs="grey" row_id="our-clients"][vc_column width="1/1" column_animation="fadeIn wow" column_border_style="none"][heading heading_text="our clients" heading_tag="h3" text_transform="uppercase" text_align="center" need_top_icon="yes" top_icon="fa-heart" icon_style="ti-rounded" icon_color="#00b5c6"][/vc_column][/vc_row][vc_row center_row_content="yes" row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" row_bg_color="#f6f6f6" row_padding_bottom="70px"][vc_column width="1/4" column_animation="fadeIn wow" column_border_style="none"][client client_logo_alt="Client Logo 1" client_logo_link="#" bg_color="#f0f0f0" black_white="yes"][client client_logo_alt="Client Logo 5" client_logo_link="#" bg_color="#f0f0f0" black_white="yes"][/vc_column][vc_column width="1/4" column_animation="fadeIn wow" column_border_style="none"][client client_logo_alt="Client Logo 2" client_logo_link="#" bg_color="#f0f0f0" black_white="yes"][client client_logo_alt="Client Logo 6" client_logo_link="#" bg_color="#f0f0f0" black_white="yes"][/vc_column][vc_column width="1/4" column_animation="fadeIn wow" column_border_style="none"][client client_logo_alt="Client Logo 3" client_logo_link="#" bg_color="#f0f0f0" black_white="yes"][client client_logo_alt="Client Logo 7" client_logo_link="#" bg_color="#f0f0f0" black_white="yes"][/vc_column][vc_column width="1/4" column_animation="fadeIn wow" column_border_style="none"][client client_logo_alt="Client Logo 4" client_logo_link="#" bg_color="#f0f0f0" black_white="yes"][client client_logo_alt="Client Logo 8" client_logo_link="#" bg_color="#f0f0f0" black_white="yes"][/vc_column][/vc_row][vc_row center_row_content="yes" row_bg_color="#fbb02c" row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" row_padding_top="70px" row_padding_bottom="70px"][vc_column width="1/1" column_animation="fadeInUp wow" column_border_style="none"][callout callout_heading="NANY MULTIPURPOSE AND RESPONSIVE THEME" content_alignment="align-center" heading_color="#000000" content_color="#000000" button_text="My Button" button_style="btn-style-one" button_size="small-btn" bg_color="#497bb8" text_color="#ffffff" text_transform="none" button_text_2="Buy Now" button_link_2="#" button_style_2="btn-style-four" button_size_2="medium-btn" bg_color_2="#000000" text_color_2="#000000" text_transform_2="uppercase" callout_content="Modern &amp; Unique Design WordPress Theme. The Unique Style is getting more popular, so show yourself from the best side!"][/vc_column][/vc_row][vc_row select_pre_nubs="white" row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" center_row_content="yes" row_id="contact" row_padding_bottom="20px"][vc_column width="1/1" column_animation="fadeIn wow" column_border_style="none"][heading heading_text="We Are In" heading_tag="h3" text_transform="uppercase" text_align="center" need_top_icon="yes" top_icon=" fa-map-marker" icon_style="ti-rounded" icon_color="#497bb8"][/vc_column][/vc_row][vc_row col_right_left_space="yes" row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none"][vc_column width="1/1" column_animation="fadeIn wow" column_border_style="none"][map map_height="400px" enter_address="Envato, 121 King Street, Melbourne, Victoria 3000, Australia" map_zoom="15" show_text_color="#ffffff" show_bg_color="#20518c" disable_show_hide="yes"][/vc_column][/vc_row][vc_row center_row_content="yes" select_pre_nubs="white" row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" row_padding_bottom="20px" row_padding_top="10px"][vc_column width="1/1" column_animation="fadeIn wow" column_border_style="none"][heading heading_text="Contact" heading_tag="h3" text_transform="uppercase" text_align="center" need_top_icon="yes" top_icon=" fa-envelope-o" icon_style="ti-rounded" icon_color="#ef6300"][/vc_column][/vc_row][vc_row center_row_content="yes" row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" row_padding_bottom="70px"][vc_column width="1/3" column_animation="fadeInUp wow" column_border_style="none"][vc_tabs][vc_tab title="Contact Info" tab_id="1421756974-1-99"][vc_column_text]<strong>Address: </strong>13, Main St, LocalHost, Uk
<strong>Phone: </strong>+61 (123) 456 789
<strong>Fax: </strong>+61 (123) 456 789
<strong>Email: </strong><a href="mailto:test@yoursite.com">test@yoursite.com</a>
<strong>Website: </strong><a href="http://www.yoursite.com" target="_blank">http://www.yoursite.com</a>[/vc_column_text][/vc_tab][vc_tab title="Support" tab_id="1421756974-2-11"][vc_column_text]We work with clients big and small across a range of sectors and we utilise all forms of media to get your name out there in a way that’s right for you. We believe that analysis of your company and your customers.[/vc_column_text][/vc_tab][vc_tab title="Visiting" tab_id="1421757090067-2-3"][vc_column_text]<strong>Mon: </strong>9.00 to 20.00
<strong>Tue: </strong>9.00 to 20.00
<strong>Wed: </strong>9.00 to 20.00
<strong>Thu: </strong>9.00 to 20.00
<strong>Fri: </strong>9.00 to 20.00
<strong>Saterday &amp; Sunday Holiday</strong>[/vc_column_text][/vc_tab][/vc_tabs][heading heading_text="Connect With Us :" heading_tag="h3" text_transform="uppercase" text_align="left" top_icon="fa-heart" icon_style="ti-rounded" icon_color="#497bb8" heading_margin_top="20px" heading_margin_bottom="0px"][social link_window="yes" social_facebook="#" social_twitter="#" social_linkedin="#" social_google="#" social_dribbble="#" social_youtube="#" extra_class="margin-0"][/vc_column][vc_column width="2/3" column_animation="fadeInUp wow" column_border_style="none" el_class="form-one"][contact-form-7 id="6"][/vc_column][/vc_row]
CONTENT;
    array_unshift($data, $template);
    return $data;
}

/* Home Shop */
add_filter( 'vc_load_default_templates', 'nany_home_shop_page' );
function nany_home_shop_page($data) {
    $template               = array();
    $template['name']       = __( 'Home Page Shop', 'custom_template_for_vc' );
    $template['image_path'] = preg_replace( '/\s/', '%20', get_template_directory_uri() . '/framework/visual-composer/images/home-shop.png' ); // always use preg replace to be sure that "space" will not break logic
    $template['custom_class'] = 'custom_template_for_vc_custom_template';
    $template['content']    = <<<CONTENT
        [vc_row center_row_content="yes" row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" row_padding_top="40px" row_padding_bottom="40px"][vc_column width="1/3"][promotions promotion_style="style-1" heading="Women" heading_color="#ffffff" heading_bg_color="#ef5396" link="http://defatch-demo.com/themes/nany-demo/product/crochet-t-shirt/"][/vc_column][vc_column width="1/3"][promotions promotion_style="style-1" heading="Men" heading_color="#ffffff" heading_bg_color="#497bb8" link="http://defatch-demo.com/themes/nany-demo/product/meta-t-shirt-kidsa/"][/vc_column][vc_column width="1/3"][promotions promotion_style="style-1" heading="Kids" heading_color="#ffffff" heading_bg_color="#ff723e" link="http://defatch-demo.com/themes/nany-demo/product/bella-kids-t-shirt/"][/vc_column][/vc_row][vc_row center_row_content="yes" row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" row_padding_top="20px" row_padding_bottom="40px"][vc_column width="1/4"][vc_widget_sidebar sidebar_id="shop-widget"][/vc_column][vc_column width="3/4"][vc_row_inner][vc_column_inner width="1/3"][promotions promotion_style="style-2" heading="HERITAGE T-SHIRTS" price="$80" link="#" heading_color="#ffffff" heading_bg_color="rgba(0,0,0,0.6)" heading_size="14px"][/vc_column_inner][vc_column_inner width="1/3"][promotions promotion_style="style-2" heading="WALKING SHORTS" price="$45" link="#" heading_color="#ffffff" heading_bg_color="rgba(0,0,0,0.6)" heading_size="14px"][/vc_column_inner][vc_column_inner width="1/3"][promotions promotion_style="style-2" heading="NERO FLIPFLOP" price="$15" link="#" heading_color="#ffffff" heading_bg_color="rgba(0,0,0,0.6)" heading_size="14px"][/vc_column_inner][/vc_row_inner][nany_products nany_products_columns="product-col-3" nany_products_limit="6" nany_products_order="ASC" nany_products_order_by="none" enable_pagination="yes"][/vc_column][/vc_row]
CONTENT;
    array_unshift($data, $template);
    return $data;
}

/* Home Four */
add_filter( 'vc_load_default_templates', 'nany_home_page_four' );
function nany_home_page_four($data) {
    $template               = array();
    $template['name']       = __( 'Home Page Four', 'custom_template_for_vc' );
    $template['image_path'] = preg_replace( '/\s/', '%20', get_template_directory_uri() . '/framework/visual-composer/images/home-two.png' ); // always use preg replace to be sure that "space" will not break logic
    $template['custom_class'] = 'custom_template_for_vc_custom_template';
    $template['content']    = <<<CONTENT
        [vc_row center_row_content="yes" row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" row_padding_top="20px" row_padding_bottom="20px" select_pre_nubs="white"][vc_column width="1/1" column_animation="fadeIn wow" column_border_style="none"][heading heading_text="About Nany" heading_tag="h3" text_transform="uppercase" text_align="center" need_top_icon="yes" top_icon="fa-group" icon_style="ti-rounded" icon_color="#fbb02c"][vc_column_text]
<div style="text-align: center; font-size: 16px; line-height: 30px;">Nany – The Original Multi-Purpose Onepage WordPress Theme.</div>
<div style="text-align: center; font-size: 16px; line-height: 30px;">It’s an incredibly flexible user friendly designed to help any business type to meet their interactive needs.</div>
<div style="text-align: center; font-size: 16px; line-height: 30px;">Which is Comportable For Creative Agency, Freelancer, Webdevelopment.</div>
[/vc_column_text][button button_text="Read More" button_link="#" button_style="btn-style-four" button_size="medium-btn" bg_color="#fbb02c" text_color="#444444" text_transform="uppercase" button_position="center" outer_bottom_space="60px"][/vc_column][/vc_row][vc_row row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" col_right_left_space="yes"][vc_column width="1/2" column_animation="fadeInLeft wow" column_border_style="none"][service service_style="style-1" background_color="#fbb02c" service_icon="fa-magic" icon_style="icon-rounded" service_heading="CREATIVE DESIGN" service_content="We build brands, design websites and create corporate identies. We are perfect combinations of the creativity, knowledge and technology Lorem ipsum." list_features="USABILITY
UI &amp; UX
WEB AND MOBILE DESIGN" button_text="My Button" button_style="btn-style-one" button_size="small-btn" bg_color="#497bb8" text_color="#ffffff" text_transform="none"][service service_style="style-1" background_color="#fa684d" service_icon="fa-cubes" icon_style="icon-rounded" service_heading="EXCELLENT FEATURES" service_content="We build brands, design websites and create corporate identies. We are perfect combinations of the creativity, knowledge and technology Lorem ipsum." list_features="SEO FRIENDLY
FREE FONT ICONS
ORGANIZED PSD LAYERS" button_text="My Button" button_style="btn-style-one" button_size="small-btn" bg_color="#497bb8" text_color="#ffffff" text_transform="none" icon_line_height="85px"][/vc_column][vc_column width="1/2" column_animation="fadeInRight wow" column_border_style="none"][service service_style="style-1" background_color="#00b5c6" service_icon="fa-cog" icon_style="icon-rounded" service_heading="THEME OPTIONS" service_content="We build brands, design websites and create corporate identies. We are perfect combinations of the creativity, knowledge and technology Lorem ipsum." list_features="VISUAL COMPOSER
EASY TO CUSTOMIZE
DRAG AND DROP OPTIONS" button_text="My Button" button_style="btn-style-one" button_size="small-btn" bg_color="#497bb8" text_color="#ffffff" text_transform="none" icon_line_height="90px"][service service_style="style-1" background_color="#497bb8" service_icon="fa-smile-o" icon_style="icon-rounded" service_heading="CUSTOMER SUPPORT" service_content="We build brands, design websites and create corporate identies. We are perfect combinations of the creativity, knowledge and technology Lorem ipsum." list_features="ASK US ANYTHING
BRAND NEW IDEAS
ONLINE SUPPORT &amp; HELP" button_text="My Button" button_style="btn-style-one" button_size="small-btn" bg_color="#497bb8" text_color="#ffffff" text_transform="none" icon_line_height="90px"][/vc_column][/vc_row][vc_row row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" row_padding_top="15px" select_pre_nubs="white" row_padding_bottom="50px" center_row_content="yes"][vc_column width="1/1" column_animation="fadeInUp wow" column_border_style="none"][heading heading_text="our works" heading_tag="h3" text_transform="uppercase" text_align="center" need_top_icon="yes" top_icon="fa-star" icon_style="ti-rounded" icon_color="#db6464"][portfolio portfolio_columns="portfolio-4-column" portfolio_limit="8" enable_cat_filter="yes" portfolio_order="ASC" portfolio_order_by="none"][/vc_column][/vc_row][vc_row row_id="video" row_bg_image_style="fixed" row_parallax_ratio="0.5" video_url="https://www.youtube.com/watch?v=9No-FiEInLA" border_style="none" row_padding_top="130px" row_padding_bottom="130px" enable_background_overlay="yes"][vc_column width="1/1" column_animation="fadeIn wow" column_border_style="none"][heading heading_text="Hello, We Are Nany Creative" heading_tag="h1" text_transform="uppercase" text_align="center" color="#ffffff" top_icon="fa-heart" icon_style="ti-rounded" icon_color="#497bb8" heading_margin_top="30px" heading_margin_bottom="20px"][heading heading_text="We are perfect combinations of the creativity, knowledge and technology." heading_tag="h3" text_transform="uppercase" text_align="center" color="#ffffff" top_icon="fa-heart" icon_style="ti-rounded" icon_color="#497bb8"][/vc_column][/vc_row][vc_row row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" row_padding_top="20px" select_pre_nubs="white" center_row_content="yes"][vc_column width="1/1" column_animation="fadeIn wow" column_border_style="none"][heading heading_text="MORE FEATURES of NANY" heading_tag="h3" text_transform="uppercase" text_align="center" need_top_icon="yes" top_icon="fa-lightbulb-o" icon_style="ti-rounded" icon_color="#fbb02c"][/vc_column][/vc_row][vc_row center_row_content="yes" row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" row_padding_bottom="40px"][vc_column width="1/2" column_animation="fadeInLeft wow" column_border_style="none"][service service_style="style-2" background_color="#fbb02c" service_icon="fa-rocket" icon_style="icon-rounded" service_heading="BUILD FAST LAYOUT" service_content="Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque." list_features="USABILITY
UI &amp; UX
Web Design" button_text="My Button" button_style="btn-style-one" button_size="small-btn" bg_color="#497bb8" text_color="#ffffff" text_transform="none"][service service_style="style-2" background_color="#00b5c6" service_icon="fa-leaf" icon_style="icon-rounded" service_heading="AMAZING FRESH DESIGN" service_content="Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque." list_features="USABILITY
UI &amp; UX
Web Design" button_text="My Button" button_style="btn-style-one" button_size="small-btn" bg_color="#497bb8" text_color="#ffffff" text_transform="none"][service service_style="style-2" background_color="#fa684d" service_icon="fa-pagelines" icon_style="icon-rounded" service_heading="BRAND NEW IDEAS" service_content="Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque." list_features="USABILITY
UI &amp; UX
Web Design" button_text="My Button" button_style="btn-style-one" button_size="small-btn" bg_color="#497bb8" text_color="#ffffff" text_transform="none"][/vc_column][vc_column width="1/2" column_animation="fadeInRight wow" column_border_style="none"][vc_single_image border_color="grey" img_link_target="_self" img_size="full"][/vc_column][/vc_row][vc_row row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" row_padding_top="20px" row_bg_color="#f6f6f6" select_pre_nubs="grey" center_row_content="yes"][vc_column width="1/1" column_animation="fadeIn wow" column_border_style="none"][heading heading_text="OUR PRICING" heading_tag="h3" text_transform="uppercase" text_align="center" need_top_icon="yes" top_icon="fa-dollar" icon_style="ti-rounded" icon_color="#fa684d"][vc_empty_space height="60px"][/vc_column][/vc_row][vc_row center_row_content="yes" row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" row_bg_color="#f6f6f6" row_padding_bottom="90px"][vc_column width="1/3" column_animation="fadeInLeft wow" column_border_style="none"][vc_empty_space height="40px"][pricing pricing_style="style-1" pricing_heading="BASIC" money_type="$" pricing_price="10" pricing_period="Month" pricing_list="5GB Disk Space
10 Email accounts
2 Subdomains" button_text="BUY NOW" button_link="#" button_style="btn-style-one" button_size="large-btn" bg_color="#71ce73" text_transform="none" outer_border_color="#f0f0f0" background_color="#f0f0f0" text_color="#ffffff"][vc_empty_space height="40px"][/vc_column][vc_column width="1/3" column_animation="fadeInUp wow" column_border_style="none"][pricing pricing_style="style-1" pricing_heading="STANDARD" money_type="$" pricing_price="29" pricing_period="Month" pricing_list="100GB Disk Space
50 Email accounts
2 Subdomains
50 Monthly Bandwidth
Best Support Service" button_text="BUY NOW" button_link="#" button_style="btn-style-one" button_size="large-btn" bg_color="#71ce73" text_transform="none" outer_border_color="#71ce73" badge_title="Most Popular" badge_title_color="#fa684d" background_color="#ffffff" text_color="#ffffff"][/vc_column][vc_column width="1/3" column_animation="fadeInRight wow" column_border_style="none"][vc_empty_space height="40px"][pricing pricing_style="style-1" pricing_heading="PREMIUM" money_type="$" pricing_price="75" pricing_period="Month" pricing_list="500GB Disk Space
100 Email accounts
2 Subdomains" button_text="BUY NOW" button_link="#" button_style="btn-style-one" button_size="large-btn" bg_color="#71ce73" text_transform="none" outer_border_color="#f0f0f0" background_color="#f0f0f0" text_color="#ffffff"][/vc_column][/vc_row][vc_row row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" row_padding_top="20px" row_padding_bottom="20px" select_pre_nubs="white" center_row_content="yes"][vc_column width="1/1" column_animation="fadeIn wow" column_border_style="none"][heading heading_text="our clients" heading_tag="h3" text_transform="uppercase" text_align="center" need_top_icon="yes" top_icon="fa-heart" icon_style="ti-rounded" icon_color="#00b5c6"][/vc_column][/vc_row][vc_row row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" center_row_content="yes"][vc_column width="1/4" column_animation="fadeIn wow" column_border_style="none"][client client_logo_alt="Client Logo 1" client_logo_link="#" bg_color="#f0f0f0" black_white="yes"][client client_logo_alt="Client Logo 5" client_logo_link="#" bg_color="#f0f0f0" black_white="yes"][/vc_column][vc_column width="1/4" column_animation="fadeIn wow" column_border_style="none"][client client_logo_alt="Client Logo 2" client_logo_link="#" bg_color="#f0f0f0" black_white="yes"][client client_logo_alt="Client Logo 6" client_logo_link="#" bg_color="#f0f0f0" black_white="yes"][/vc_column][vc_column width="1/4" column_animation="fadeIn wow" column_border_style="none"][client client_logo_alt="Client Logo 3" client_logo_link="#" bg_color="#f0f0f0" black_white="yes"][client client_logo_alt="Client Logo 7" client_logo_link="#" bg_color="#f0f0f0" black_white="yes"][/vc_column][vc_column width="1/4" column_animation="fadeIn wow" column_border_style="none"][client client_logo_alt="Client Logo 4" client_logo_link="#" bg_color="#f0f0f0" black_white="yes"][client client_logo_alt="Client Logo 8" client_logo_link="#" bg_color="#f0f0f0" black_white="yes"][/vc_column][/vc_row][vc_row row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" row_padding_bottom="70px" center_row_content="yes"][vc_column width="1/1" column_animation="fadeInUp wow" column_border_style="none"][testimonial_slider testimonial_slider_limit="6" testimonial_slider_order="ASC" testimonial_slider_order_by="none"][/vc_column][/vc_row][vc_row row_bg_image_style="cover" row_parallax_ratio="0.5" border_style="none" row_padding_top="60px" row_padding_bottom="50px" center_row_content="yes" row_bg_background_parallax="yes" row_bg_color="#126670"][vc_column width="1/4" column_animation="fadeInUp wow" column_border_style="none"][counter counter_icon="fa-folder-open" counter_number="25" counter_title="ONGOING PROJECTS" right_border="yes" icon_color="#ffffff" number_color="#ffffff" text_color="#ffffff"][/vc_column][vc_column width="1/4" column_animation="fadeInUp wow" column_border_style="none"][counter counter_icon="fa-coffee" counter_number="895" counter_title="COFFEE DRINKED" right_border="yes" icon_color="#ffffff" number_color="#ffffff" text_color="#ffffff"][/vc_column][vc_column width="1/4" column_animation="fadeInUp wow" column_border_style="none"][counter counter_icon="fa-heart" counter_number="289" counter_title="HAPPY CLIENTS" right_border="yes" icon_color="#ffffff" number_color="#ffffff" text_color="#ffffff"][/vc_column][vc_column width="1/4" column_animation="fadeInUp wow" column_border_style="none"][counter counter_icon="fa-rocket" counter_number="367" counter_title="PROJECT DELIVERED" icon_color="#ffffff" number_color="#ffffff" text_color="#ffffff"][/vc_column][/vc_row][vc_row row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" row_padding_top="20px" select_pre_nubs="white" center_row_content="yes"][vc_column width="1/1" column_animation="fadeIn wow" column_border_style="none"][heading heading_text="our Process" heading_tag="h3" text_transform="uppercase" text_align="center" need_top_icon="yes" top_icon="fa-support" icon_style="ti-rounded" icon_color="#fbb02c"][/vc_column][/vc_row][vc_row center_row_content="yes" row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" row_padding_bottom="90px"][vc_column width="1/1" column_animation="fadeInUp wow" column_border_style="none"][process][/vc_column][/vc_row][vc_row row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" row_padding_top="20px" row_bg_color="#f6f6f6" center_row_content="yes" select_pre_nubs="grey"][vc_column width="1/1" column_animation="fadeIn wow" column_border_style="none"][heading heading_text="Our Blog" heading_tag="h3" text_transform="uppercase" text_align="center" need_top_icon="yes" top_icon="fa-file-text-o" icon_style="ti-rounded" icon_color="#fa684d"][/vc_column][/vc_row][vc_row row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" row_bg_color="#f6f6f6" row_padding_bottom="20px" col_right_left_space="yes"][vc_column width="1/1" column_animation="fadeInUp wow" column_border_style="none"][blog blog_style="style-1" blog_limit="4" blog_order="ASC" blog_order_by="none" extra_class="grey"][vc_empty_space height="55px"][button button_text="Read More" button_link="#" button_style="btn-style-four" button_size="medium-btn" bg_color="#fa684d" text_color="#444444" text_transform="uppercase" button_position="center" outer_bottom_space="60px"][/vc_column][/vc_row][vc_row row_bg_color="#323331" row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" row_text_color="#ffffff" row_padding_top="70px" row_padding_bottom="0px" center_row_content="yes" col_right_left_space="" row_bg_background_parallax="" enable_background_overlay="" enable_video_background="" advanced_options="" need_controls="" disable_auto_play="" disable_video_loop="" disable_audio_mute=""][vc_column width="1/1" column_animation="fadeIn wow" column_border_style="none"][vc_widget_sidebar sidebar_id="twitter-widget"][/vc_column][/vc_row][vc_row row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" row_padding_top="20px" center_row_content="yes" select_pre_nubs="white"][vc_column width="1/1" column_animation="fadeIn wow" column_border_style="none"][heading heading_text="Our Team" heading_tag="h3" text_transform="uppercase" text_align="center" need_top_icon="yes" top_icon="fa-user" icon_style="ti-rounded" icon_color="#497bb8"][/vc_column][/vc_row][vc_row row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" row_padding_top="20px" center_row_content="yes" row_padding_bottom="10px"][vc_column width="1/4" column_animation="fadeInLeft wow" column_border_style="none"][team team_name="MIKE TAKLA" team_profession="Founder" link_window="yes" social_facebook="#" social_twitter="#" social_linkedin="#" pop_details="yes" team_content="We are an independent gym that is committed to working with you to gain the results you want. Whether your aim is to loose weight, tone up, build bulk or gain weight we can put together a gym programme or recommend the right classes for you to attend in our studios."][/vc_column][vc_column width="1/4" column_animation="fadeInUp wow" column_border_style="none"][team team_name="RINA MIELE" team_profession="Front-end Developer" pop_details="yes" social_vimeo="#" social_rss="#" social_flickr="#" social_foursquare="#" team_content="We offer a range of training packages in a range of subject areas and can offer blended learning opportunities to best meet your needs. If sitting in a room with a trainer and having the opportunity for discussion with other learners sounds good to you then we can offer this."][/vc_column][vc_column width="1/4" column_animation="fadeInUp wow" column_border_style="none"][team team_name="STEPHAN SMITH" team_profession="Designer" social_youtube="#" social_trello="#" social_tumblr="#" pop_details="yes" team_content="If you chose to stay with us you will enjoy modern home comforts in a traditional setting. Whether you are looking for a short weekend break or a longer holiday, we offer a range of packages that we think cater for all."][/vc_column][vc_column width="1/4" column_animation="fadeInRight wow" column_border_style="none"][team team_name="SELENA KAR" team_profession="Accountant" social_github="#" social_html5="#" social_instagram="#" social_stack_exchange="#" social_stack_overflow="#" pop_details="yes" team_content="’m a freelance fashion designer who specialises in print designs and combining fabrics. My designs have been sold all over Europe and the USA and I have worked with some of the biggest designers in the industry."][/vc_column][/vc_row][vc_row row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" row_padding_top="10px" row_padding_bottom="30px" center_row_content="yes" col_right_left_space="yes"][vc_column width="1/1" column_animation="fadeIn wow" column_border_style="none"][vc_column_text][join_us text="JOIN US" link="#"][/vc_column_text][/vc_column][/vc_row][vc_row row_bg_color="#323331" row_bg_image_style="cover" row_parallax_ratio="0.5" border_style="none" row_padding_top="40px" row_padding_bottom="30px" center_row_content="yes" col_right_left_space="" row_bg_background_parallax="yes" enable_background_overlay="" row_bg_image="1855" enable_video_background="" advanced_options="" need_controls="" disable_auto_play="" disable_video_loop="" disable_audio_mute=""][vc_column width="1/1" column_animation="fadeIn wow" column_border_style="none"][heading heading_text="Stay Connected" heading_tag="h2" text_transform="uppercase" text_align="center" color="#ffffff" need_top_icon="" top_icon="fa-heart" icon_style="ti-rounded" icon_color="#497bb8"][/vc_column][vc_column width="1/4" column_animation="fadeInUp wow" column_border_style="none"][heading heading_text="Address" heading_tag="h3" text_transform="uppercase" text_align="center" need_top_icon="yes" top_icon="fa-map-marker" icon_style="ti-rounded" icon_color="#ffffff" color="#ffffff"][vc_column_text]
<p style="text-align: center;"><span style="color: #ffffff;">3214, Lorem Ipsum Street,</span>
<span style="color: #ffffff;"> Main Area LocalHost,</span>
<span style="color: #ffffff;"> NY 97563</span>

[/vc_column_text][/vc_column][vc_column width="1/4" column_animation="fadeInUp wow" column_border_style="none"][heading heading_text="Telephone" heading_tag="h3" text_transform="uppercase" text_align="center" need_top_icon="yes" top_icon="fa-phone" icon_style="ti-rounded" icon_color="#ffffff" color="#ffffff"][vc_column_text]
<p style="text-align: center;"><span style="color: #ffffff;">Tel: 123-456-1000,</span>
<span style="color: #ffffff;"> +400 1423 456 789</span>
<span style="color: #ffffff;"> Fax: 123-456-3300,</span>
<span style="color: #ffffff;"> 456 123 4567</span>

[/vc_column_text][/vc_column][vc_column width="1/4" column_animation="fadeInUp wow" column_border_style="none"][heading heading_text="Email" heading_tag="h3" text_transform="uppercase" text_align="center" need_top_icon="yes" top_icon="fa-envelope-o" icon_style="ti-rounded" icon_color="#ffffff" color="#ffffff"][vc_column_text]
<p style="text-align: center;"><span style="color: #ffffff;">General : info@domain.com</span>
<span style="color: #ffffff;"> Pre-Sale : sales@domain.com</span>
<span style="color: #ffffff;"> Support : support@domain.com</span>

[/vc_column_text][/vc_column][vc_column width="1/4" column_animation="fadeInUp wow" column_border_style="none"][heading heading_text="Business Hours" heading_tag="h3" text_transform="uppercase" text_align="center" need_top_icon="yes" top_icon="fa-clock-o" icon_style="ti-rounded" icon_color="#ffffff" color="#ffffff"][vc_column_text]
<p style="text-align: center;"><span style="color: #ffffff;">Mon – Fri : 9.00 to 20.00</span>
<span style="color: #ffffff;"> Saterday &amp; Sunday Holiday</span>

[/vc_column_text][/vc_column][/vc_row][vc_row row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" col_right_left_space="yes"][vc_column width="1/1"][map map_height="400px" enter_address="Envato, 121 King Street, Melbourne, Victoria 3000, Australia" map_zoom="15" show_text_color="#ffffff" show_bg_color="#396ba8" upload_map_icon="http://defatch-demo.com/themes/nany/wp-content/themes/nany/images/map/map-marker.png" map_scroll_wheel="" disable_draggable_map="" disable_show_hide="yes"][/vc_column][/vc_row]
CONTENT;
    array_unshift($data, $template);
    return $data;
}

/* Home Three */
add_filter( 'vc_load_default_templates', 'nany_home_page_three' );
function nany_home_page_three($data) {
    $template               = array();
    $template['name']       = __( 'Home Page Three', 'custom_template_for_vc' );
    $template['image_path'] = preg_replace( '/\s/', '%20', get_template_directory_uri() . '/framework/visual-composer/images/home-three.png' ); // always use preg replace to be sure that "space" will not break logic
    $template['custom_class'] = 'custom_template_for_vc_custom_template';
    $template['content']    = <<<CONTENT
        [vc_row center_row_content="yes" row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" row_padding_top="25px" row_padding_bottom="5px"][vc_column width="1/1" column_animation="fadeIn wow" column_border_style="none"][heading heading_text="Our Services" heading_tag="h3" text_transform="uppercase" text_align="center" need_top_icon="yes" top_icon="fa-cog" icon_style="ti-rounded" icon_color="#497bb8"][/vc_column][/vc_row][vc_row row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" col_right_left_space="yes"][vc_column width="1/4" column_animation="fadeInLeft wow" column_border_style="none"][service service_style="style-1" background_color="#fbb02c" service_icon="fa-magic" icon_style="icon-rounded" service_heading="CREATIVE DESIGN" service_content="We build brands, design websites and create corporate identies." list_features="USABILITY
UI &amp; UX
WEB AND MOBILE DESIGN" button_text="My Button" button_style="btn-style-one" button_size="small-btn" bg_color="#497bb8" text_color="#ffffff" text_transform="none"][/vc_column][vc_column width="1/4" column_animation="fadeIn wow" column_border_style="none"][service service_style="style-1" background_color="#00b5c6" service_icon="fa-cog" icon_style="icon-rounded" service_heading="THEME OPTIONS" service_content="We build brands, design websites and create corporate identities." list_features="VISUAL COMPOSER
EASY TO CUSTOMIZE
DRAG AND DROP OPTIONS" button_text="My Button" button_style="btn-style-one" button_size="small-btn" bg_color="#497bb8" text_color="#ffffff" text_transform="none" icon_line_height="90px"][/vc_column][vc_column width="1/4" column_animation="fadeIn wow" column_border_style="none"][service service_style="style-1" background_color="#fa684d" service_icon="fa-cubes" icon_style="icon-rounded" service_heading="EXCELLENT FEATURES" service_content="We build brands, design websites and create corporate identities." list_features="SEO FRIENDLY
FREE FONT ICONS
ORGANIZED PSD LAYERS" button_text="My Button" button_style="btn-style-one" button_size="small-btn" bg_color="#497bb8" text_color="#ffffff" text_transform="none" icon_line_height="85px"][/vc_column][vc_column width="1/4" column_animation="fadeInRight wow" column_border_style="none"][service service_style="style-1" background_color="#497bb8" service_icon="fa-smile-o" icon_style="icon-rounded" service_heading="CUSTOMER SUPPORT" service_content="We build brands, design websites and create corporate identities." list_features="ASK US ANYTHING
BRAND NEW IDEAS
ONLINE SUPPORT &amp; HELP" button_text="My Button" button_style="btn-style-one" button_size="small-btn" bg_color="#497bb8" text_color="#ffffff" text_transform="none" icon_line_height="90px"][/vc_column][/vc_row][vc_row center_row_content="yes" row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" row_padding_top="30px" row_bg_color="#f6f6f6" row_padding_bottom="5px" select_pre_nubs="grey"][vc_column width="1/1" column_animation="fadeIn wow" column_border_style="none"][heading heading_text="About Nany" heading_tag="h3" text_transform="uppercase" text_align="center" need_top_icon="yes" top_icon="fa-group" icon_style="ti-rounded" icon_color="#fbb02c"][/vc_column][/vc_row][vc_row center_row_content="yes" row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" row_bg_color="#f6f6f6" row_padding_bottom="60px"][vc_column width="1/2" column_animation="fadeInLeft wow" column_border_style="none"][vc_accordion][vc_accordion_tab title="Our Great Mission"][vc_column_text]The Original Multi-Purpose Onepage WordPress Theme. It’s an
incredibly flexible user friendly designed to help any business type to meet their interactive needs.The Original Multi-Purpose Onepage
WordPress Theme. [/vc_column_text][/vc_accordion_tab][vc_accordion_tab title="Our philosophy"][vc_column_text]We are a friendly firm of Financial Advisors who are happy to meet with you face to face or liaise with you via the phone or email to provide a service that’s right for you. Our Services included offering advice and solutions on Mortgages, Insurance, Financial Protection, Investments and Pensions.[/vc_column_text][/vc_accordion_tab][vc_accordion_tab title="Team Building Power"][vc_column_text]I am a wedding, civil partnership and portrait photography with many years experience in the industry. I work with my clients to ensure that their experience of being photographed is right for them. [/vc_column_text][/vc_accordion_tab][vc_accordion_tab title="Long Term Vission"][vc_column_text]Stay in our four star lakeside accommodation, whether you choose one of our log chalets or a contemporary apartment, you will look over stunning views of the valley. Perhaps go for a gentle stroll around the local village, a refreshing swim in the beautifully clear lake or a more energetic mountain walk or bike ride.[/vc_column_text][/vc_accordion_tab][/vc_accordion][/vc_column][vc_column width="1/2" column_animation="fadeInRight wow" column_border_style="none"][vc_single_image border_color="grey" img_link_target="_self" img_size="full" el_class="margin-0"][vc_column_text]
<h3 style="text-align: left;">Our Work Space</h3>
<p style="text-align: left;">The Original Multi-Purpose Onepage WordPress Theme. It’s an incredibly flexible user friendly designed to help any business type to meet their interactive needs. Which is Comfortable For Creative Agency, Freelancer, Web development. Our aim is to leave you worry free about your finances because you know they are in safe hands.</p>
[/vc_column_text][/vc_column][/vc_row][vc_row row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" row_padding_top="20px" select_pre_nubs="white" center_row_content="yes"][vc_column width="1/1" column_animation="fadeIn wow" column_border_style="none"][heading heading_text="MORE FEATURES of NANY" heading_tag="h3" text_transform="uppercase" text_align="center" need_top_icon="yes" top_icon="fa-lightbulb-o" icon_style="ti-rounded" icon_color="#fbb02c"][/vc_column][/vc_row][vc_row center_row_content="yes" row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" row_padding_bottom="40px"][vc_column width="1/2" column_animation="fadeInLeft wow" column_border_style="none"][service service_style="style-2" background_color="#fbb02c" service_icon="fa-rocket" icon_style="icon-rounded" service_heading="BUILD FAST LAYOUT" service_content="Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque." list_features="USABILITY
UI &amp; UX
Web Design" button_text="My Button" button_style="btn-style-one" button_size="small-btn" bg_color="#497bb8" text_color="#ffffff" text_transform="none"][service service_style="style-2" background_color="#00b5c6" service_icon="fa-leaf" icon_style="icon-rounded" service_heading="AMAZING FRESH DESIGN" service_content="Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque." list_features="USABILITY
UI &amp; UX
Web Design" button_text="My Button" button_style="btn-style-one" button_size="small-btn" bg_color="#497bb8" text_color="#ffffff" text_transform="none"][service service_style="style-2" background_color="#fa684d" service_icon="fa-pagelines" icon_style="icon-rounded" service_heading="BRAND NEW IDEAS" service_content="Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque." list_features="USABILITY
UI &amp; UX
Web Design" button_text="My Button" button_style="btn-style-one" button_size="small-btn" bg_color="#497bb8" text_color="#ffffff" text_transform="none"][/vc_column][vc_column width="1/2" column_animation="fadeInRight wow" column_border_style="none"][vc_single_image border_color="grey" img_link_target="_self" img_size="full"][/vc_column][/vc_row][vc_row row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" row_padding_top="20px" row_bg_color="#f6f6f6" select_pre_nubs="grey"][vc_column width="1/1" column_animation="fadeIn wow" column_border_style="none"][heading heading_text="Our Blog" heading_tag="h3" text_transform="uppercase" text_align="center" need_top_icon="yes" top_icon="fa-file-text-o" icon_style="ti-rounded" icon_color="#fa684d"][/vc_column][/vc_row][vc_row row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" row_bg_color="#f6f6f6" row_padding_bottom="20px" col_right_left_space="yes"][vc_column width="1/1" column_animation="fadeInUp wow" column_border_style="none"][blog blog_style="style-1" blog_limit="4" blog_order="ASC" blog_order_by="none" extra_class="grey"][vc_empty_space height="55px"][button button_text="Read More" button_link="#" button_style="btn-style-four" button_size="medium-btn" bg_color="#fa684d" text_color="#444444" text_transform="uppercase" button_position="center" outer_bottom_space="60px"][/vc_column][/vc_row][vc_row row_bg_image_style="cover" row_parallax_ratio="0.5" border_style="none" row_padding_top="60px" row_padding_bottom="50px" center_row_content="yes" row_bg_background_parallax="yes" row_bg_color="#126670"][vc_column width="1/4" column_animation="fadeInUp wow" column_border_style="none"][counter counter_icon="fa-folder-open" counter_number="25" counter_title="ONGOING PROJECTS" right_border="yes" icon_color="#ffffff" number_color="#ffffff" text_color="#ffffff"][/vc_column][vc_column width="1/4" column_animation="fadeInUp wow" column_border_style="none"][counter counter_icon="fa-coffee" counter_number="895" counter_title="COFFEE DRINKED" right_border="yes" icon_color="#ffffff" number_color="#ffffff" text_color="#ffffff"][/vc_column][vc_column width="1/4" column_animation="fadeInUp wow" column_border_style="none"][counter counter_icon="fa-heart" counter_number="289" counter_title="HAPPY CLIENTS" right_border="yes" icon_color="#ffffff" number_color="#ffffff" text_color="#ffffff"][/vc_column][vc_column width="1/4" column_animation="fadeInUp wow" column_border_style="none"][counter counter_icon="fa-rocket" counter_number="367" counter_title="PROJECT DELIVERED" icon_color="#ffffff" number_color="#ffffff" text_color="#ffffff"][/vc_column][/vc_row][vc_row row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" row_padding_top="20px" select_pre_nubs="white" center_row_content="yes"][vc_column width="1/1" column_animation="fadeIn wow" column_border_style="none"][heading heading_text="Our Team" heading_tag="h3" text_transform="uppercase" text_align="center" need_top_icon="yes" top_icon="fa-user" icon_style="ti-rounded" icon_color="#497bb8"][/vc_column][/vc_row][vc_row row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" row_padding_top="20px" center_row_content="yes" row_padding_bottom="35px"][vc_column width="1/4" column_animation="fadeInLeft wow" column_border_style="none"][team team_name="MIKE TAKLA" team_profession="Founder" link_window="yes" social_facebook="#" social_twitter="#" social_linkedin="#" pop_details="yes" team_content="We are an independent gym that is committed to working with you to gain the results you want. Whether your aim is to loose weight, tone up, build bulk or gain weight we can put together a gym programme or recommend the right classes for you to attend in our studios."][/vc_column][vc_column width="1/4" column_animation="fadeInUp wow" column_border_style="none"][team team_name="RINA MIELE" team_profession="Front-end Developer" pop_details="yes" social_vimeo="#" social_rss="#" social_flickr="#" social_foursquare="#" team_content="We offer a range of training packages in a range of subject areas and can offer blended learning opportunities to best meet your needs. If sitting in a room with a trainer and having the opportunity for discussion with other learners sounds good to you then we can offer this."][/vc_column][vc_column width="1/4" column_animation="fadeInUp wow" column_border_style="none"][team team_name="STEPHAN SMITH" team_profession="Designer" social_youtube="#" social_trello="#" social_tumblr="#" pop_details="yes" team_content="If you chose to stay with us you will enjoy modern home comforts in a traditional setting. Whether you are looking for a short weekend break or a longer holiday, we offer a range of packages that we think cater for all."][/vc_column][vc_column width="1/4" column_animation="fadeInRight wow" column_border_style="none"][team team_name="SELENA KAR" team_profession="Accountant" social_github="#" social_html5="#" social_instagram="#" social_stack_exchange="#" social_stack_overflow="#" pop_details="yes" team_content="’m a freelance fashion designer who specialises in print designs and combining fabrics. My designs have been sold all over Europe and the USA and I have worked with some of the biggest designers in the industry."][/vc_column][/vc_row][vc_row center_row_content="yes" col_right_left_space="" row_bg_image_style="fixed" row_bg_background_parallax="" row_parallax_ratio="0.5" enable_background_overlay="" enable_video_background="" advanced_options="" need_controls="" disable_auto_play="" disable_video_loop="" disable_audio_mute="" border_style="none" row_padding_top="20px" row_padding_bottom="40px"][vc_column width="1/2"][skillbar skillbar_title="Photoshop" skillbar_percentage="85" skillbar_color="#fbb02c"][skillbar skillbar_title="HTML5 / CSS3" skillbar_percentage="70" skillbar_color="#00b5c6"][skillbar skillbar_title="Dreamweaver" skillbar_percentage="95" skillbar_color="#fa684d"][/vc_column][vc_column width="1/2"][skillbar skillbar_title="Wordpress" skillbar_percentage="98" skillbar_color="#497bb8"][skillbar skillbar_title="Video" skillbar_percentage="75" skillbar_color="#ffad80"][skillbar skillbar_title="Illustration" skillbar_percentage="88" skillbar_color="#6bbddc"][/vc_column][/vc_row][vc_row center_row_content="yes" row_bg_color="#497bb8" row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" row_padding_top="40px" row_padding_bottom="20px"][vc_column width="1/1" column_animation="fadeInUp wow" column_border_style="none"][callout callout_heading="nany Is A Multipurpose And Responsive Theme." callout_content="The Original Multi-Purpose Onepage WordPress Theme. It’s an incredibly flexible user friendly designed to help any business type to meet their interactive needs." content_alignment="align-left" button_text="BUY NOW" button_link="#" button_style="btn-style-five" button_size="medium-btn" bg_color="#ffffff" text_color="#3c5895" text_transform="uppercase" button_text_2="SEE MORE" button_link_2="#" button_style_2="btn-style-four" button_size_2="medium-btn" bg_color_2="#ffffff" text_color_2="#ffffff" text_transform_2="none" heading_color="#ffffff" heading_size="22px" subheading_color="#ffffff" content_color="#ffffff" content_size="16px"][/vc_column][/vc_row]
CONTENT;
    array_unshift($data, $template);
    return $data;
}

/* Home Two */
add_filter( 'vc_load_default_templates', 'nany_home_page_two' );
function nany_home_page_two($data) {
    $template               = array();
    $template['name']       = __( 'Home Page Two', 'custom_template_for_vc' );
    $template['image_path'] = preg_replace( '/\s/', '%20', get_template_directory_uri() . '/framework/visual-composer/images/home-four.png' ); // always use preg replace to be sure that "space" will not break logic
    $template['custom_class'] = 'custom_template_for_vc_custom_template';
    $template['content']    = <<<CONTENT
        [vc_row center_row_content="yes" row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" row_padding_top="10px" row_padding_bottom="50px"][vc_column width="1/1" column_animation="fadeIn wow" column_border_style="none"][heading heading_text="What We Do" heading_tag="h3" text_transform="uppercase" text_align="center" need_top_icon="yes" top_icon="fa-lightbulb-o" icon_style="ti-rounded" color="#000000" icon_color="#fbb02c" font_size="26px"][vc_column_text]
<div style="text-align: center; font-size: 16px; line-height: 30px;">Nany – The Original Multi-Purpose Onepage WordPress Theme.
It’s an incredibly flexible user friendly designed to help any business type to meet their interactive needs.
Which is Comportable For Creative Agency, Freelancer, Webdevelopment.</div>
[/vc_column_text][/vc_column][/vc_row][vc_row center_row_content="yes" row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" row_padding_top="10px" row_padding_bottom="50px"][vc_column width="1/3" column_animation="fadeInUp wow" column_border_style="none"][vc_single_image border_color="grey" img_link_target="_self" img_size="100x100" el_class="text-center"][vc_column_text]
<h3 style="text-align: center;"><span style="color: #000000;">CUSTOMIZATION</span></h3>
<p style="text-align: center;"><span style="color: #000000;"> Nany is developed by beginners in mind. Everything is structured by clear code formats. So, clean and So, Easy possible sub page!</span></p>

[/vc_column_text][/vc_column][vc_column width="1/3" column_animation="fadeInUp wow" column_border_style="none"][vc_single_image border_color="grey" img_link_target="_self" img_size="100x100" el_class="text-center"][vc_column_text]
<h3 style="text-align: center;"><span style="color: #000000;">E-COMMERCE </span></h3>
<p style="text-align: center;"><span style="color: #000000;">We have a large selection of products in a range of styles and materials which you can see in Our Shop feel free to have a look through.</span></p>

[/vc_column_text][/vc_column][vc_column width="1/3" column_animation="fadeInUp wow" column_border_style="none"][vc_single_image border_color="grey" img_link_target="_self" img_size="100x100" el_class="text-center"][vc_column_text]
<h3 style="text-align: center;"><span style="color: #000000;">UNLIMITED COLOR</span></h3>
<p style="text-align: center;"><span style="color: #000000;">Our template is comes with predefined coloring formats, you can use your own brand color in Nany as-well possible sub page.</span></p>

[/vc_column_text][/vc_column][/vc_row][vc_row center_row_content="yes" row_bg_image_style="cover" row_parallax_ratio="0.5" border_style="none" row_padding_top="70px" row_padding_bottom="80px" row_bg_background_parallax="yes" enable_background_overlay="yes"][vc_column width="1/1" column_animation="fadeIn wow" column_border_style="none"][callout callout_heading="NANY MULTIPURPOSE AND RESPONSIVE THEME" content_alignment="align-center" heading_color="#ffffff" content_color="#ffffff" button_text="My Button" button_style="btn-style-one" button_size="small-btn" bg_color="#497bb8" text_color="#ffffff" text_transform="none" button_text_2="Buy Now" button_link_2="#" button_style_2="btn-style-four" button_size_2="medium-btn" bg_color_2="#ffffff" text_color_2="#ffffff" text_transform_2="uppercase" callout_content="Modern &amp; Unique Design WordPress Theme. The Unique Style is getting more popular, so show yourself from the best side!"][/vc_column][/vc_row][vc_row center_row_content="yes" row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" select_pre_nubs="white"][vc_column width="1/1" column_animation="fadeIn wow" column_border_style="none"][heading heading_text="Who We Are" heading_tag="h3" text_transform="uppercase" text_align="center" need_top_icon="yes" top_icon="fa-user" icon_style="ti-rounded" color="#000000" icon_color="#db6464" font_size="26px"][vc_column_text]
<div style="text-align: center; font-size: 16px; line-height: 30px;">Nany – The Original Multi-Purpose Onepage WordPress Theme.
It’s an incredibly flexible user friendly designed to help any business type to meet their interactive needs.
Which is Comportable For Creative Agency, Freelancer, Webdevelopment.</div>
[/vc_column_text][/vc_column][/vc_row][vc_row row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" row_padding_top="20px" center_row_content="yes" row_padding_bottom="65px"][vc_column width="1/4" column_animation="fadeInLeft wow" column_border_style="none"][team team_name="MIKE TAKLA" team_profession="Founder" link_window="yes" social_facebook="#" social_twitter="#" social_linkedin="#" pop_details="yes" team_content="We are an independent gym that is committed to working with you to gain the results you want. Whether your aim is to loose weight, tone up, build bulk or gain weight we can put together a gym programme or recommend the right classes for you to attend in our studios."][/vc_column][vc_column width="1/4" column_animation="fadeInUp wow" column_border_style="none"][team team_name="RINA MIELE" team_profession="Front-end Developer" pop_details="yes" social_vimeo="#" social_rss="#" social_flickr="#" social_foursquare="#" team_content="We offer a range of training packages in a range of subject areas and can offer blended learning opportunities to best meet your needs. If sitting in a room with a trainer and having the opportunity for discussion with other learners sounds good to you then we can offer this."][/vc_column][vc_column width="1/4" column_animation="fadeInUp wow" column_border_style="none"][team team_name="STEPHAN SMITH" team_profession="Designer" social_youtube="#" social_trello="#" social_tumblr="#" pop_details="yes" team_content="If you chose to stay with us you will enjoy modern home comforts in a traditional setting. Whether you are looking for a short weekend break or a longer holiday, we offer a range of packages that we think cater for all."][/vc_column][vc_column width="1/4" column_animation="fadeInRight wow" column_border_style="none"][team team_name="SELENA KAR" team_profession="Accountant" social_github="#" social_html5="#" social_instagram="#" social_stack_exchange="#" social_stack_overflow="#" pop_details="yes" team_content="’m a freelance fashion designer who specialises in print designs and combining fabrics. My designs have been sold all over Europe and the USA and I have worked with some of the biggest designers in the industry."][/vc_column][/vc_row][vc_row center_row_content="yes" row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" row_bg_color="#f6f6f6" select_pre_nubs="grey"][vc_column width="1/1" column_animation="fadeIn wow" column_border_style="none"][heading heading_text="Experience" heading_tag="h3" text_transform="uppercase" text_align="center" need_top_icon="yes" top_icon="fa-pie-chart" icon_style="ti-rounded" color="#000000" icon_color="#497bb8" font_size="26px"][vc_column_text]
<div style="text-align: center; font-size: 16px; line-height: 30px;">Nany – The Original Multi-Purpose Onepage WordPress Theme.
It’s an incredibly flexible user friendly designed to help any business type to meet their interactive needs.
Which is Comportable For Creative Agency, Freelancer, Webdevelopment.</div>
[/vc_column_text][/vc_column][/vc_row][vc_row row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" center_row_content="yes" row_padding_bottom="80px" row_bg_color="#f6f6f6"][vc_column width="1/4" column_animation="fadeInUp wow" column_border_style="none"][vc_pie value="90" color="btn-warning" units="%" title="WordPress"][/vc_column][vc_column width="1/4" column_animation="fadeInUp wow" column_border_style="none"][vc_pie value="68" color="btn-success" units="%" title="PHP"][/vc_column][vc_column width="1/4" column_animation="fadeInUp wow" column_border_style="none"][vc_pie value="85" color="btn-danger" units="%" title="HTML5"][/vc_column][vc_column width="1/4" column_animation="fadeInUp wow" column_border_style="none"][vc_pie value="70" color="btn-primary" units="%" title="JQuery"][/vc_column][/vc_row][vc_row center_row_content="yes" row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" select_pre_nubs="white"][vc_column width="1/1" column_animation="fadeIn wow" column_border_style="none"][heading heading_text="Our History" heading_tag="h3" text_transform="uppercase" text_align="center" need_top_icon="yes" top_icon="fa-cog" icon_style="ti-rounded" color="#000000" icon_color="#00b5c6" font_size="26px"][vc_column_text]
<div style="text-align: center; font-size: 16px; line-height: 30px;">Nany – The Original Multi-Purpose Onepage WordPress Theme.
It’s an incredibly flexible user friendly designed to help any business type to meet their interactive needs.
Which is Comportable For Creative Agency, Freelancer, Webdevelopment.</div>
[/vc_column_text][/vc_column][/vc_row][vc_row center_row_content="yes" row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" row_padding_bottom="55px" col_right_left_space="yes"][vc_column width="1/1" column_animation="fadeInUp wow" column_border_style="none"][timeline custom_notification_note="Timeline from Theme Options"][/vc_column][/vc_row][vc_row row_bg_color="#222222" row_bg_image_style="cover" row_parallax_ratio="0.5" border_style="none" row_padding_top="30px" row_padding_bottom="110px" center_row_content="yes" row_bg_background_parallax="yes" enable_background_overlay="yes"][vc_column width="1/1" column_animation="fadeIn wow" column_border_style="none"][heading heading_tag="h3" text_transform="uppercase" text_align="center" need_top_icon="yes" top_icon="fa-quote-left" icon_style="ti-square" icon_color="#ffffff" heading_text="Testimonials" color="#ffffff"][testimonial_slider testimonial_slider_limit="3" testimonial_slider_order="ASC" testimonial_slider_order_by="none" testimonial_slider_content_color="#ffffff" testimonial_slider_name_color="#dfdfdf" testimonial_slider_profession_color="#dfdfdf"][/vc_column][/vc_row][vc_row center_row_content="yes" row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" select_pre_nubs="white"][vc_column width="1/1" column_animation="fadeIn wow" column_border_style="none"][heading heading_text="Our Works" heading_tag="h3" text_transform="uppercase" text_align="center" need_top_icon="yes" top_icon="fa-star" icon_style="ti-rounded" color="#000000" icon_color="#db6464" font_size="26px"][vc_column_text]
<div style="text-align: center; font-size: 16px; line-height: 30px;">Nany – The Original Multi-Purpose Onepage WordPress Theme.
It’s an incredibly flexible user friendly designed to help any business type to meet their interactive needs.
Which is Comportable For Creative Agency, Freelancer, Webdevelopment.</div>
[/vc_column_text][/vc_column][/vc_row][vc_row row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" row_padding_top="20px" center_row_content="yes" row_padding_bottom="60px"][vc_column width="1/1" column_animation="fadeInUp wow" column_border_style="none"][portfolio portfolio_columns="portfolio-3-column" portfolio_limit="6" enable_cat_filter="yes" portfolio_order="ASC" portfolio_order_by="none"][/vc_column][/vc_row][vc_row row_bg_color="#323331" row_bg_image_style="cover" row_parallax_ratio="0.5" border_style="none" row_text_color="#ffffff" row_padding_top="70px" row_padding_bottom="10px" center_row_content="yes" row_bg_background_parallax="yes" col_right_left_space="" enable_background_overlay="" enable_video_background="" advanced_options="" need_controls="" disable_auto_play="" disable_video_loop="" disable_audio_mute=""][vc_column width="1/1" column_animation="fadeIn wow" column_border_style="none"][vc_widget_sidebar sidebar_id="twitter-widget"][/vc_column][/vc_row][vc_row row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" row_padding_top="20px" row_bg_color="#f6f6f6" select_pre_nubs="grey" center_row_content="yes" row_padding_bottom="60px"][vc_column width="1/1" column_animation="fadeIn wow" column_border_style="none"][heading heading_text="OUR PRICING" heading_tag="h3" text_transform="uppercase" text_align="center" need_top_icon="yes" top_icon="fa-dollar" icon_style="ti-rounded" icon_color="#497bb8"][vc_column_text]
<div style="text-align: center; font-size: 16px; line-height: 30px;">Nany – The Original Multi-Purpose Onepage WordPress Theme.
It’s an incredibly flexible user friendly designed to help any business type to meet their interactive needs.
Which is Comportable For Creative Agency, Freelancer, Webdevelopment.</div>
[/vc_column_text][/vc_column][/vc_row][vc_row center_row_content="yes" row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" row_bg_color="#f6f6f6" row_padding_bottom="90px"][vc_column width="1/3" column_animation="fadeInLeft wow" column_border_style="none"][vc_empty_space height="40px"][pricing pricing_style="style-1" pricing_heading="BASIC" money_type="$" pricing_price="10" pricing_period="Month" pricing_list="5GB Disk Space
10 Email accounts
2 Subdomains" button_text="BUY NOW" button_link="#" button_style="btn-style-one" button_size="large-btn" bg_color="#71ce73" text_transform="none" outer_border_color="#f0f0f0" background_color="#f0f0f0" text_color="#ffffff"][vc_empty_space height="40px"][/vc_column][vc_column width="1/3" column_animation="fadeInUp wow" column_border_style="none"][pricing pricing_style="style-1" pricing_heading="STANDARD" money_type="$" pricing_price="29" pricing_period="Month" pricing_list="100GB Disk Space
50 Email accounts
2 Subdomains
50 Monthly Bandwidth
Best Support Services" button_text="BUY NOW" button_link="#" button_style="btn-style-one" button_size="large-btn" bg_color="#71ce73" text_transform="none" outer_border_color="#71ce73" badge_title="Most Popular" badge_title_color="#fa684d" background_color="#ffffff" text_color="#ffffff"][/vc_column][vc_column width="1/3" column_animation="fadeInRight wow" column_border_style="none"][vc_empty_space height="40px"][pricing pricing_style="style-1" pricing_heading="PREMIUM" money_type="$" pricing_price="75" pricing_period="Month" pricing_list="500GB Disk Space
100 Email accounts
2 Subdomains" button_text="BUY NOW" button_link="#" button_style="btn-style-one" button_size="large-btn" bg_color="#71ce73" text_transform="none" outer_border_color="#f0f0f0" background_color="#f0f0f0" text_color="#ffffff"][/vc_column][/vc_row][vc_row row_bg_color="#323331" row_bg_image_style="cover" row_parallax_ratio="0.5" border_style="none" row_padding_top="40px" row_padding_bottom="30px" center_row_content="yes" col_right_left_space="" row_bg_background_parallax="yes" enable_background_overlay="" row_bg_image="1855" enable_video_background="" advanced_options="" need_controls="" disable_auto_play="" disable_video_loop="" disable_audio_mute=""][vc_column width="1/1" column_animation="fadeIn wow" column_border_style="none"][heading heading_text="Stay Connected" heading_tag="h2" text_transform="uppercase" text_align="center" color="#ffffff" need_top_icon="" top_icon="fa-heart" icon_style="ti-rounded" icon_color="#497bb8"][/vc_column][vc_column width="1/4" column_animation="fadeInUp wow" column_border_style="none"][heading heading_text="Address" heading_tag="h3" text_transform="uppercase" text_align="center" need_top_icon="yes" top_icon="fa-map-marker" icon_style="ti-rounded" icon_color="#ffffff" color="#ffffff"][vc_column_text]
<p style="text-align: center;"><span style="color: #ffffff;">3214, Lorem Ipsum Street,</span>
<span style="color: #ffffff;"> Main Area LocalHost,</span>
<span style="color: #ffffff;"> NY 97563</span>

[/vc_column_text][/vc_column][vc_column width="1/4" column_animation="fadeInUp wow" column_border_style="none"][heading heading_text="Telephone" heading_tag="h3" text_transform="uppercase" text_align="center" need_top_icon="yes" top_icon="fa-phone" icon_style="ti-rounded" icon_color="#ffffff" color="#ffffff"][vc_column_text]
<p style="text-align: center;"><span style="color: #ffffff;">Tel: 123-456-1000,</span>
<span style="color: #ffffff;"> +400 1423 456 789</span>
<span style="color: #ffffff;"> Fax: 123-456-3300,</span>
<span style="color: #ffffff;"> 456 123 4567</span>

[/vc_column_text][/vc_column][vc_column width="1/4" column_animation="fadeInUp wow" column_border_style="none"][heading heading_text="Email" heading_tag="h3" text_transform="uppercase" text_align="center" need_top_icon="yes" top_icon="fa-envelope-o" icon_style="ti-rounded" icon_color="#ffffff" color="#ffffff"][vc_column_text]
<p style="text-align: center;"><span style="color: #ffffff;">General : info@domain.com</span>
<span style="color: #ffffff;"> Pre-Sale : sales@domain.com</span>
<span style="color: #ffffff;"> Support : support@domain.com</span>

[/vc_column_text][/vc_column][vc_column width="1/4" column_animation="fadeInUp wow" column_border_style="none"][heading heading_text="Business Hours" heading_tag="h3" text_transform="uppercase" text_align="center" need_top_icon="yes" top_icon="fa-clock-o" icon_style="ti-rounded" icon_color="#ffffff" color="#ffffff"][vc_column_text]
<p style="text-align: center;"><span style="color: #ffffff;">Mon – Fri : 9.00 to 20.00</span>
<span style="color: #ffffff;"> Saterday &amp; Sunday Holiday</span>

[/vc_column_text][/vc_column][/vc_row][vc_row row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" col_right_left_space="yes"][vc_column width="1/1"][map map_height="400px" enter_address="Envato, 121 King Street, Melbourne, Victoria 3000, Australia" map_zoom="15" show_text_color="#ffffff" show_bg_color="#396ba8" upload_map_icon="http://defatch-demo.com/themes/nany/wp-content/themes/nany/images/map/map-marker.png" map_scroll_wheel="" disable_draggable_map="" disable_show_hide="yes"][/vc_column][/vc_row]
CONTENT;
    array_unshift($data, $template);
    return $data;
}

/* Home One */
add_filter( 'vc_load_default_templates', 'nany_home_page_one' );
function nany_home_page_one($data) {
    $template               = array();
    $template['name']       = __( 'Home Page One', 'custom_template_for_vc' );
    $template['image_path'] = preg_replace( '/\s/', '%20', get_template_directory_uri() . '/framework/visual-composer/images/home-one.png' ); // always use preg replace to be sure that "space" will not break logic
    $template['custom_class'] = 'custom_template_for_vc_custom_template';
    $template['content']    = <<<CONTENT
        [vc_row row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" row_padding_top="20px" row_padding_bottom="20px" center_row_content="yes" select_pre_nubs="white"][vc_column width="1/1" column_animation="fadeIn wow" column_border_style="none"][heading heading_text="About Nany" heading_tag="h3" text_transform="uppercase" text_align="center" need_top_icon="yes" top_icon="fa-group" icon_style="ti-rounded" icon_color="#fbb02c"][vc_column_text]
<div style="text-align: center; font-size: 16px; line-height: 30px;">Nany – The Original Multi-Purpose Onepage WordPress Theme.
It’s an incredibly flexible user friendly designed to help any business type to meet their interactive needs.
Which is Comportable For Creative Agency, Freelancer, Webdevelopment.</div>
[/vc_column_text][button button_text="Read More" button_link="#" button_style="btn-style-four" button_size="medium-btn" bg_color="#fbb02c" text_color="#444444" text_transform="uppercase" button_position="center" outer_bottom_space="60px"][/vc_column][/vc_row][vc_row row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" col_right_left_space="yes"][vc_column width="1/4" column_animation="fadeInLeft wow" column_border_style="none"][service service_style="style-1" background_color="#fbb02c" service_icon="fa-magic" icon_style="icon-rounded" service_heading="CREATIVE DESIGN" service_content="We build brands, design websites and create corporate identies." list_features="USABILITY
UI &amp; UX
WEB AND MOBILE DESIGN" button_text="My Button" button_style="btn-style-one" button_size="small-btn" bg_color="#497bb8" text_color="#ffffff" text_transform="none"][/vc_column][vc_column width="1/4" column_animation="fadeIn wow" column_border_style="none"][service service_style="style-1" background_color="#00b5c6" service_icon="fa-cog" icon_style="icon-rounded" service_heading="THEME OPTIONS" service_content="We build brands, design websites and create corporate identities." list_features="VISUAL COMPOSER
EASY TO CUSTOMIZE
DRAG AND DROP OPTIONS" button_text="My Button" button_style="btn-style-one" button_size="small-btn" bg_color="#497bb8" text_color="#ffffff" text_transform="none" icon_line_height="90px"][/vc_column][vc_column width="1/4" column_animation="fadeIn wow" column_border_style="none"][service service_style="style-1" background_color="#fa684d" service_icon="fa-cubes" icon_style="icon-rounded" service_heading="EXCELLENT FEATURES" service_content="We build brands, design websites and create corporate identities." list_features="SEO FRIENDLY
FREE FONT ICONS
ORGANIZED PSD LAYERS" button_text="My Button" button_style="btn-style-one" button_size="small-btn" bg_color="#497bb8" text_color="#ffffff" text_transform="none" icon_line_height="85px"][/vc_column][vc_column width="1/4" column_animation="fadeInRight wow" column_border_style="none"][service service_style="style-1" background_color="#497bb8" service_icon="fa-smile-o" icon_style="icon-rounded" service_heading="CUSTOMER SUPPORT" service_content="We build brands, design websites and create corporate identities." list_features="ASK US ANYTHING
BRAND NEW IDEAS
ONLINE SUPPORT &amp; HELP" button_text="My Button" button_style="btn-style-one" button_size="small-btn" bg_color="#497bb8" text_color="#ffffff" text_transform="none" icon_line_height="90px"][/vc_column][/vc_row][vc_row row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" row_padding_top="20px" center_row_content="yes" select_pre_nubs="white" row_padding_bottom="50px"][vc_column width="1/1" column_animation="fadeInUp wow" column_border_style="none"][heading heading_text="our works" heading_tag="h3" text_transform="uppercase" text_align="center" need_top_icon="yes" top_icon="fa-star" icon_style="ti-rounded" icon_color="#db6464"][portfolio portfolio_columns="portfolio-3-column" portfolio_limit="6" enable_cat_filter="yes" portfolio_order="ASC" portfolio_order_by="none"][/vc_column][/vc_row][vc_row row_id="video" row_bg_image_style="fixed" row_parallax_ratio="0.5" video_url="https://www.youtube.com/watch?v=9No-FiEInLA" border_style="none" row_padding_top="130px" row_padding_bottom="130px" enable_background_overlay="yes"][vc_column width="1/1" column_animation="fadeIn wow" column_border_style="none"][heading heading_text="Hello, We Are Nany Creative" heading_tag="h1" text_transform="uppercase" text_align="center" color="#ffffff" top_icon="fa-heart" icon_style="ti-rounded" icon_color="#497bb8" heading_margin_top="30px" heading_margin_bottom="20px"][heading heading_text="We are perfect combinations of the creativity, knowledge and technology." heading_tag="h3" text_transform="uppercase" text_align="center" color="#ffffff" top_icon="fa-heart" icon_style="ti-rounded" icon_color="#497bb8"][/vc_column][/vc_row][vc_row row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" row_padding_top="20px" center_row_content="yes" select_pre_nubs="white"][vc_column width="1/1" column_animation="fadeIn wow" column_border_style="none"][heading heading_text="MORE FEATURES of NANY" heading_tag="h3" text_transform="uppercase" text_align="center" need_top_icon="yes" top_icon="fa-lightbulb-o" icon_style="ti-rounded" icon_color="#fbb02c"][/vc_column][/vc_row][vc_row center_row_content="yes" row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" row_padding_bottom="40px"][vc_column width="1/2" column_animation="fadeInLeft wow" column_border_style="none"][service service_style="style-2" background_color="#fbb02c" service_icon="fa-rocket" icon_style="icon-rounded" service_heading="BUILD FAST LAYOUT" service_content="Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque." list_features="USABILITY
UI &amp; UX
Web Design" button_text="My Button" button_style="btn-style-one" button_size="small-btn" bg_color="#497bb8" text_color="#ffffff" text_transform="none"][service service_style="style-2" background_color="#00b5c6" service_icon="fa-leaf" icon_style="icon-rounded" service_heading="AMAZING FRESH DESIGN" service_content="Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque." list_features="USABILITY
UI &amp; UX
Web Design" button_text="My Button" button_style="btn-style-one" button_size="small-btn" bg_color="#497bb8" text_color="#ffffff" text_transform="none"][service service_style="style-2" background_color="#fa684d" service_icon="fa-pagelines" icon_style="icon-rounded" service_heading="BRAND NEW IDEAS" service_content="Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque." list_features="USABILITY
UI &amp; UX
Web Design" button_text="My Button" button_style="btn-style-one" button_size="small-btn" bg_color="#497bb8" text_color="#ffffff" text_transform="none"][/vc_column][vc_column width="1/2" column_animation="fadeInRight wow" column_border_style="none"][vc_single_image border_color="grey" img_link_target="_self" img_size="full"][/vc_column][/vc_row][vc_row row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" row_padding_top="20px" row_bg_color="#f6f6f6" center_row_content="yes" select_pre_nubs="grey"][vc_column width="1/1" column_animation="fadeIn wow" column_border_style="none"][heading heading_text="our clients" heading_tag="h3" text_transform="uppercase" text_align="center" need_top_icon="yes" top_icon="fa-heart" icon_style="ti-rounded" icon_color="#00b5c6"][/vc_column][/vc_row][vc_row center_row_content="yes" row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" row_bg_color="#f6f6f6"][vc_column width="1/4" column_animation="fadeIn wow" column_border_style="none"][client client_logo_alt="Client Logo 1" client_logo_link="#" bg_color="#f0f0f0" black_white="yes"][client client_logo_alt="Client Logo 5" client_logo_link="#" bg_color="#f0f0f0" black_white="yes"][/vc_column][vc_column width="1/4" column_animation="fadeIn wow" column_border_style="none"][client client_logo_alt="Client Logo 2" client_logo_link="#" bg_color="#f0f0f0" black_white="yes"][client client_logo_alt="Client Logo 6" client_logo_link="#" bg_color="#f0f0f0" black_white="yes"][/vc_column][vc_column width="1/4" column_animation="fadeIn wow" column_border_style="none"][client client_logo_alt="Client Logo 3" client_logo_link="#" bg_color="#f0f0f0" black_white="yes"][client client_logo_alt="Client Logo 7" client_logo_link="#" bg_color="#f0f0f0" black_white="yes"][/vc_column][vc_column width="1/4" column_animation="fadeIn wow" column_border_style="none"][client client_logo_alt="Client Logo 4" client_logo_link="#" bg_color="#f0f0f0" black_white="yes"][client client_logo_alt="Client Logo 8" client_logo_link="#" bg_color="#f0f0f0" black_white="yes"][/vc_column][/vc_row][vc_row center_row_content="yes" row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" row_bg_color="#f6f6f6" row_padding_bottom="70px"][vc_column width="1/1" column_animation="fadeInUp wow" column_border_style="none"][testimonial_slider testimonial_slider_limit="6" testimonial_slider_order="ASC" testimonial_slider_order_by="none"][/vc_column][/vc_row][vc_row row_bg_image_style="cover" row_parallax_ratio="0.5" border_style="none" row_padding_top="60px" row_padding_bottom="50px" center_row_content="yes" row_bg_background_parallax="yes" row_bg_color="#126670"][vc_column width="1/4" column_animation="fadeInUp wow" column_border_style="none"][counter counter_icon="fa-folder-open" counter_number="25" counter_title="ONGOING PROJECTS" right_border="yes" icon_color="#ffffff" number_color="#ffffff" text_color="#ffffff"][/vc_column][vc_column width="1/4" column_animation="fadeInUp wow" column_border_style="none"][counter counter_icon="fa-coffee" counter_number="895" counter_title="COFFEE DRINKED" right_border="yes" icon_color="#ffffff" number_color="#ffffff" text_color="#ffffff"][/vc_column][vc_column width="1/4" column_animation="fadeInUp wow" column_border_style="none"][counter counter_icon="fa-heart" counter_number="289" counter_title="HAPPY CLIENTS" right_border="yes" icon_color="#ffffff" number_color="#ffffff" text_color="#ffffff"][/vc_column][vc_column width="1/4" column_animation="fadeInUp wow" column_border_style="none"][counter counter_icon="fa-rocket" counter_number="367" counter_title="PROJECT DELIVERED" icon_color="#ffffff" number_color="#ffffff" text_color="#ffffff"][/vc_column][/vc_row][vc_row row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" row_padding_top="20px" center_row_content="yes" select_pre_nubs="white"][vc_column width="1/1" column_animation="fadeIn wow" column_border_style="none"][heading heading_text="our Process" heading_tag="h3" text_transform="uppercase" text_align="center" need_top_icon="yes" top_icon="fa-support" icon_style="ti-rounded" icon_color="#fbb02c"][/vc_column][/vc_row][vc_row center_row_content="yes" row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" row_padding_bottom="90px"][vc_column width="1/1" column_animation="fadeInUp wow" column_border_style="none"][process][/vc_column][/vc_row][vc_row row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" row_padding_top="20px" row_bg_color="#f6f6f6" center_row_content="yes" select_pre_nubs="grey"][vc_column width="1/1" column_animation="fadeIn wow" column_border_style="none"][heading heading_text="Our Blog" heading_tag="h3" text_transform="uppercase" text_align="center" need_top_icon="yes" top_icon="fa-file-text-o" icon_style="ti-rounded" icon_color="#fa684d"][/vc_column][/vc_row][vc_row row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" row_bg_color="#f6f6f6" row_padding_bottom="20px" col_right_left_space="yes"][vc_column width="1/1" column_animation="fadeInUp wow" column_border_style="none"][blog blog_style="style-1" blog_limit="4" blog_order="ASC" blog_order_by="none" extra_class="grey"][vc_empty_space height="55px"][button button_text="Read More" button_link="#" button_style="btn-style-four" button_size="medium-btn" bg_color="#fa684d" text_color="#444444" text_transform="uppercase" button_position="center" outer_bottom_space="60px"][/vc_column][/vc_row][vc_row row_bg_color="#323331" row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" row_text_color="#ffffff" row_padding_top="50px" row_padding_bottom="0px" center_row_content="yes" col_right_left_space="" row_bg_background_parallax="" enable_background_overlay="" enable_video_background="" advanced_options="" need_controls="" disable_auto_play="" disable_video_loop="" disable_audio_mute=""][vc_column width="1/1" column_animation="fadeIn wow" column_border_style="none"][vc_widget_sidebar sidebar_id="twitter-widget"][/vc_column][/vc_row][vc_row row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" row_padding_top="20px" center_row_content="yes" select_pre_nubs="white"][vc_column width="1/1" column_animation="fadeIn wow" column_border_style="none"][heading heading_text="Our Team" heading_tag="h3" text_transform="uppercase" text_align="center" need_top_icon="yes" top_icon="fa-user" icon_style="ti-rounded" icon_color="#497bb8"][/vc_column][/vc_row][vc_row row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" row_padding_top="20px" center_row_content="yes" row_padding_bottom="10px"][vc_column width="1/4" column_animation="fadeInLeft wow" column_border_style="none"][team team_name="MIKE TAKLA" team_profession="Founder" link_window="yes" social_facebook="#" social_twitter="#" social_linkedin="#" pop_details="yes" team_content="We are an independent gym that is committed to working with you to gain the results you want. Whether your aim is to loose weight, tone up, build bulk or gain weight we can put together a gym programme or recommend the right classes for you to attend in our studios."][/vc_column][vc_column width="1/4" column_animation="fadeInUp wow" column_border_style="none"][team team_name="RINA MIELE" team_profession="Front-end Developer" pop_details="yes" social_vimeo="#" social_rss="#" social_flickr="#" social_foursquare="#" team_content="We offer a range of training packages in a range of subject areas and can offer blended learning opportunities to best meet your needs. If sitting in a room with a trainer and having the opportunity for discussion with other learners sounds good to you then we can offer this."][/vc_column][vc_column width="1/4" column_animation="fadeInUp wow" column_border_style="none"][team team_name="STEPHAN SMITH" team_profession="Designer" social_youtube="#" social_trello="#" social_tumblr="#" pop_details="yes" team_content="If you chose to stay with us you will enjoy modern home comforts in a traditional setting. Whether you are looking for a short weekend break or a longer holiday, we offer a range of packages that we think cater for all."][/vc_column][vc_column width="1/4" column_animation="fadeInRight wow" column_border_style="none"][team team_name="SELENA KAR" team_profession="Accountant" social_github="#" social_html5="#" social_instagram="#" social_stack_exchange="#" social_stack_overflow="#" pop_details="yes" team_content="’m a freelance fashion designer who specialises in print designs and combining fabrics. My designs have been sold all over Europe and the USA and I have worked with some of the biggest designers in the industry."][/vc_column][/vc_row][vc_row center_row_content="yes" row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" row_padding_top="5px" row_padding_bottom="60px" col_right_left_space="yes"][vc_column width="1/1" column_animation="fadeIn wow" column_border_style="none"][vc_column_text][join_us text="JOIN US" link="#" class="text-center"][/vc_column_text][/vc_column][/vc_row][vc_row row_bg_color="#323331" row_bg_image_style="cover" row_parallax_ratio="0.5" border_style="none" row_padding_top="40px" row_padding_bottom="30px" center_row_content="yes" col_right_left_space="" row_bg_background_parallax="yes" enable_background_overlay="" row_bg_image="1855" enable_video_background="" advanced_options="" need_controls="" disable_auto_play="" disable_video_loop="" disable_audio_mute=""][vc_column width="1/1" column_animation="fadeIn wow" column_border_style="none"][heading heading_text="Stay Connected" heading_tag="h2" text_transform="uppercase" text_align="center" color="#ffffff" need_top_icon="" top_icon="fa-heart" icon_style="ti-rounded" icon_color="#497bb8"][/vc_column][vc_column width="1/4" column_animation="fadeInUp wow" column_border_style="none"][heading heading_text="Address" heading_tag="h3" text_transform="uppercase" text_align="center" need_top_icon="yes" top_icon="fa-map-marker" icon_style="ti-rounded" icon_color="#ffffff" color="#ffffff"][vc_column_text]
<p style="text-align: center;"><span style="color: #ffffff;">3214, Lorem Ipsum Street,</span>
<span style="color: #ffffff;"> Main Area LocalHost,</span>
<span style="color: #ffffff;"> NY 97563</span>

[/vc_column_text][/vc_column][vc_column width="1/4" column_animation="fadeInUp wow" column_border_style="none"][heading heading_text="Telephone" heading_tag="h3" text_transform="uppercase" text_align="center" need_top_icon="yes" top_icon="fa-phone" icon_style="ti-rounded" icon_color="#ffffff" color="#ffffff"][vc_column_text]
<p style="text-align: center;"><span style="color: #ffffff;">Tel: 123-456-1000,</span>
<span style="color: #ffffff;"> +400 1423 456 789</span>
<span style="color: #ffffff;"> Fax: 123-456-3300,</span>
<span style="color: #ffffff;"> 456 123 4567</span>

[/vc_column_text][/vc_column][vc_column width="1/4" column_animation="fadeInUp wow" column_border_style="none"][heading heading_text="Email" heading_tag="h3" text_transform="uppercase" text_align="center" need_top_icon="yes" top_icon="fa-envelope-o" icon_style="ti-rounded" icon_color="#ffffff" color="#ffffff"][vc_column_text]
<p style="text-align: center;"><span style="color: #ffffff;">General : info@domain.com</span>
<span style="color: #ffffff;"> Pre-Sale : sales@domain.com</span>
<span style="color: #ffffff;"> Support : support@domain.com</span>

[/vc_column_text][/vc_column][vc_column width="1/4" column_animation="fadeInUp wow" column_border_style="none"][heading heading_text="Business Hours" heading_tag="h3" text_transform="uppercase" text_align="center" need_top_icon="yes" top_icon="fa-clock-o" icon_style="ti-rounded" icon_color="#ffffff" color="#ffffff"][vc_column_text]
<p style="text-align: center;"><span style="color: #ffffff;">Mon – Fri : 9.00 to 20.00</span>
<span style="color: #ffffff;"> Saterday &amp; Sunday Holiday</span>

[/vc_column_text][/vc_column][/vc_row][vc_row row_bg_image_style="fixed" row_parallax_ratio="0.5" border_style="none" col_right_left_space="yes"][vc_column width="1/1"][map map_height="400px" enter_address="Envato, 121 King Street, Melbourne, Victoria 3000, Australia" map_zoom="15" show_text_color="#ffffff" show_bg_color="#396ba8" upload_map_icon="http://defatch-demo.com/themes/nany/wp-content/themes/nany/images/map/map-marker.png" map_scroll_wheel="" disable_draggable_map="" disable_show_hide="yes"][/vc_column][/vc_row]
CONTENT;
    array_unshift($data, $template);
    return $data;
}


?>